import VueLazyload from 'vue-lazyload';
import * as components from './components';
import * as directives from './directives';
import { vueUse } from './utils/plugins';
import './assets/vendor/nucleo/css/nucleo.css';
import './assets/vendor/font-awesome/css/font-awesome.css';
import './assets/fonts/Gilroy/stylesheet.css'; // Import Gilory font
import './assets/scss/asyncy.scss';

var VuePlugin = {
  install: function install(Vue) {
    if (Vue._asyncy_vue_installed) {
      return;
    }

    Vue._asyncy_vue_installed = true;

    // Register component plugins
    for (var plugin in components) {
      Vue.use(components[plugin]);
    }

    // Register directive plugins
    for (var _plugin in directives) {
      Vue.use(directives[_plugin]);
    }

    Vue.use(VueLazyload);
  }
};

vueUse(VuePlugin);

export default VuePlugin;