(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('vue-lazyload')) :
  typeof define === 'function' && define.amd ? define(['vue-lazyload'], factory) :
  (global.asyncyVueComponents = factory(global.VueLazyload));
}(this, (function (VueLazyload) { 'use strict';

  VueLazyload = VueLazyload && VueLazyload.hasOwnProperty('default') ? VueLazyload['default'] : VueLazyload;

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script = {
    name: "a-badge",
    props: {
      tag: {
        type: String,
        default: "span",
        description: "Html tag to use for the badge."
      },
      rounded: {
        type: Boolean,
        default: false,
        description: "Whether badge is of pill type"
      },
      circle: {
        type: Boolean,
        default: false,
        description: "Whether badge is circle"
      },
      icon: {
        type: String,
        default: "",
        description: "Icon name. Will be overwritten by slot if slot is used"
      },
      type: {
        type: String,
        default: "default",
        description: "Badge type (primary|info|danger|default|warning|success)"
      }
    }
  };

  /* script */
  var __vue_script__ = script;

  /* template */
  var __vue_render__ = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c(_vm.tag, {
      tag: "component",
      staticClass: "badge",
      class: ["badge-" + _vm.type, _vm.rounded ? "badge-pill" : "", _vm.circle && "badge-circle"]
    }, [_vm._t("default", [_vm.icon ? _c("i", { class: _vm.icon }) : _vm._e()])], 2);
  };
  var __vue_staticRenderFns__ = [];
  __vue_render__._withStripped = true;

  /* style */
  var __vue_inject_styles__ = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-88bce8ec_0", { source: "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", map: { "version": 3, "sources": [], "names": [], "mappings": "", "file": "Badge.vue" }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__ = undefined;
  /* module identifier */
  var __vue_module_identifier__ = undefined;
  /* functional template */
  var __vue_is_functional_template__ = false;
  /* component normalizer */
  function __vue_normalize__(template, style, script$$1, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script$$1 === 'function' ? script$$1.options : script$$1) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Badge/Badge.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__.styles || (__vue_create_injector__.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aBadge = __vue_normalize__({ render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ }, __vue_inject_styles__, __vue_script__, __vue_scope_id__, __vue_is_functional_template__, __vue_module_identifier__, __vue_create_injector__, undefined);

  /**
   * Register a component plugin as being loaded. returns true if compoent plugin already registered
   * @param {object} Vue
   * @param {string} Component name
   * @param {object} Component definition
   */
  function registerComponent(Vue, name, def) {
    Vue._bootstrap_vue_components_ = Vue._bootstrap_vue_components_ || {};
    var loaded = Vue._bootstrap_vue_components_[name];
    if (!loaded && def && name) {
      Vue._bootstrap_vue_components_[name] = true;
      Vue.component(name, def);
    }
    return loaded;
  }

  /**
   * Register a group of components as being loaded.
   * @param {object} Vue
   * @param {object} Object of component definitions
   */
  function registerComponents(Vue, components) {
    for (var component in components) {
      registerComponent(Vue, component, components[component]);
    }
  }

  /**
   * Register a directive as being loaded. returns true if directive plugin already registered
   * @param {object} Vue
   * @param {string} Directive name
   * @param {object} Directive definition
   */
  function registerDirective(Vue, name, def) {
    Vue._bootstrap_vue_directives_ = Vue._bootstrap_vue_directives_ || {};
    var loaded = Vue._bootstrap_vue_directives_[name];
    if (!loaded && def && name) {
      Vue._bootstrap_vue_directives_[name] = true;
      Vue.directive(name, def);
    }
    return loaded;
  }

  /**
   * Register a group of directives as being loaded.
   * @param {object} Vue
   * @param {object} Object of directive definitions
   */
  function registerDirectives(Vue, directives) {
    for (var directive in directives) {
      registerDirective(Vue, directive, directives[directive]);
    }
  }

  /**
   * Install plugin if window.Vue available
   * @param {object} Plugin definition
   */
  function vueUse(VuePlugin) {
    if (typeof window !== 'undefined' && window.Vue) {
      window.Vue.use(VuePlugin);
    }
  }

  var components = {
    aBadge: aBadge
  };

  var VuePlugin = {
    install: function install(Vue) {
      registerComponents(Vue, components);
    }
  };

  vueUse(VuePlugin);

  /*!
   * vue2-transitions v0.2.3
   * (c) 2018-present cristij <joracristi@gmail.com>
   * Released under the MIT License.
   */
  var baseTransition = {
    inheritAttrs: false,
    props: {
      /**
       * Transition duration. Number for specifying the same duration for enter/leave transitions
       * Object style {enter: 300, leave: 300} for specifying explicit durations for enter/leave
       */
      duration: {
        type: [Number, Object],
        default: 300
      },
      /**
       * Whether the component should be a `transition-group` component.
       */
      group: Boolean,
      /**
       * Transition tag, in case the component is a `transition-group`
       */
      tag: {
        type: String,
        default: 'span'
      },
      /**
       *  Transform origin property https://tympanus.net/codrops/css_reference/transform-origin/.
       *  Can be specified with styles as well but it's shorter with this prop
       */
      origin: {
        type: String,
        default: ''
      },
      /**
       * Element styles that are applied during transition. These styles are applied on @beforeEnter and @beforeLeave hooks
       */
      styles: {
        type: Object,
        default: function () {
          return {
            animationFillMode: 'both',
            animationTimingFunction: 'ease-out'
          };
        }
      }
    },
    computed: {
      componentType: function componentType() {
        return this.group ? 'transition-group' : 'transition';
      },
      hooks: function hooks() {
        return Object.assign({
          beforeEnter: this.beforeEnter,
          afterEnter: this.cleanUpStyles,
          beforeLeave: this.beforeLeave,
          leave: this.leave,
          afterLeave: this.cleanUpStyles
        }, this.$listeners);
      }
    },
    methods: {
      beforeEnter: function beforeEnter(el) {
        var enterDuration = this.duration.enter ? this.duration.enter : this.duration;
        el.style.animationDuration = (enterDuration / 1000) + "s";
        this.setStyles(el);
      },
      cleanUpStyles: function cleanUpStyles(el) {
        var this$1 = this;

        Object.keys(this.styles).forEach(function (key) {
          var styleValue = this$1.styles[key];
          if (styleValue) {
            el.style[key] = '';
          }
        });
        el.style.animationDuration = '';
      },
      beforeLeave: function beforeLeave(el) {
        var leaveDuration = this.duration.leave ? this.duration.leave : this.duration;
        el.style.animationDuration = (leaveDuration / 1000) + "s";
        this.setStyles(el);
      },
      leave: function leave(el) {
        this.setAbsolutePosition(el);
      },
      setStyles: function setStyles(el) {
        var this$1 = this;

        this.setTransformOrigin(el);
        Object.keys(this.styles).forEach(function (key) {
          var styleValue = this$1.styles[key];
          if (styleValue) {
            el.style[key] = styleValue;
          }
        });
      },
      setAbsolutePosition: function setAbsolutePosition(el) {
        if (this.group) {
          el.style.position = 'absolute';
        }
        return this;
      },
      setTransformOrigin: function setTransformOrigin(el) {
        if (this.origin) {
          el.style.transformOrigin = this.origin;
        }
        return this;
      }
    }
  };

  (function () {
    if (typeof document !== 'undefined') {
      var head = document.head || document.getElementsByTagName('head')[0],
          style = document.createElement('style'),
          css = " @keyframes fadeIn { from { opacity: 0; } to { opacity: 1; } } .fadeIn { animation-name: fadeIn; } @keyframes fadeOut { from { opacity: 1; } to { opacity: 0; } } .fadeOut { animation-name: fadeOut; } .fade-move { transition: transform .3s ease-out; } ";style.type = 'text/css';if (style.styleSheet) {
        style.styleSheet.cssText = css;
      } else {
        style.appendChild(document.createTextNode(css));
      }head.appendChild(style);
    }
  })();

  var FadeTransition = { render: function () {
      var _vm = this;var _h = _vm.$createElement;var _c = _vm._self._c || _h;return _c(_vm.componentType, _vm._g(_vm._b({ tag: "component", attrs: { "tag": _vm.tag, "enter-active-class": "fadeIn", "move-class": "fade-move", "leave-active-class": "fadeOut" } }, 'component', _vm.$attrs, false), _vm.hooks), [_vm._t("default")], 2);
    }, staticRenderFns: [],
    name: 'fade-transition',
    mixins: [baseTransition]
  };

  (function () {
    if (typeof document !== 'undefined') {
      var head = document.head || document.getElementsByTagName('head')[0],
          style = document.createElement('style'),
          css = ".zoom-move { transition: transform .3s ease-out; } @keyframes zoomIn { from { opacity: 0; transform: scale3d(0.3, 0.3, 0.3); } 50% { opacity: 1; } } .zoomIn { animation-name: zoomIn; } @keyframes zoomOut { from { opacity: 1; } 50% { opacity: 0; transform: scale3d(0.3, 0.3, 0.3); } to { opacity: 0; } } .zoomOut { animation-name: zoomOut; } ";style.type = 'text/css';if (style.styleSheet) {
        style.styleSheet.cssText = css;
      } else {
        style.appendChild(document.createTextNode(css));
      }head.appendChild(style);
    }
  })();

  var ZoomCenterTransition = { render: function () {
      var _vm = this;var _h = _vm.$createElement;var _c = _vm._self._c || _h;return _c(_vm.componentType, _vm._g(_vm._b({ tag: "component", attrs: { "tag": _vm.tag, "enter-active-class": "zoomIn", "move-class": "zoom-move", "leave-active-class": "zoomOut" } }, 'component', _vm.$attrs, false), _vm.hooks), [_vm._t("default")], 2);
    }, staticRenderFns: [],
    name: 'zoom-center-transition',
    mixins: [baseTransition]
  };

  (function () {
    if (typeof document !== 'undefined') {
      var head = document.head || document.getElementsByTagName('head')[0],
          style = document.createElement('style'),
          css = ".zoom-move { transition: transform .3s ease-out; } @keyframes zoomInX { from { opacity: 0; transform: scaleX(0); } 50% { opacity: 1; } } .zoomInX { animation-name: zoomInX; } @keyframes zoomOutX { from { opacity: 1; } 50% { opacity: 0; transform: scaleX(0); } to { opacity: 0; } } .zoomOutX { animation-name: zoomOutX; } ";style.type = 'text/css';if (style.styleSheet) {
        style.styleSheet.cssText = css;
      } else {
        style.appendChild(document.createTextNode(css));
      }head.appendChild(style);
    }
  })();

  var ZoomXTransition = { render: function () {
      var _vm = this;var _h = _vm.$createElement;var _c = _vm._self._c || _h;return _c(_vm.componentType, _vm._g(_vm._b({ tag: "component", attrs: { "tag": _vm.tag, "enter-active-class": "zoomInX", "move-class": "zoom-move", "leave-active-class": "zoomOutX" } }, 'component', _vm.$attrs, false), _vm.hooks), [_vm._t("default")], 2);
    }, staticRenderFns: [],
    name: 'zoom-x-transition',
    props: {
      styles: {
        type: Object,
        default: function () {
          return {
            animationFillMode: 'both',
            animationTimingFunction: 'cubic-bezier(.55,0,.1,1)'
          };
        }
      }
    },
    mixins: [baseTransition]
  };

  (function () {
    if (typeof document !== 'undefined') {
      var head = document.head || document.getElementsByTagName('head')[0],
          style = document.createElement('style'),
          css = ".zoom-move { transition: transform .3s ease-out; } @keyframes zoomInY { from { opacity: 0; transform: scaleY(0); } 50% { opacity: 1; tranform: scaleY(1); } } .zoomInY { animation-name: zoomInY; } @keyframes zoomOutY { from { opacity: 1; } 50% { opacity: 0; transform: scaleY(0); } to { opacity: 0; } } .zoomOutY { animation-name: zoomOutY; } ";style.type = 'text/css';if (style.styleSheet) {
        style.styleSheet.cssText = css;
      } else {
        style.appendChild(document.createTextNode(css));
      }head.appendChild(style);
    }
  })();

  var ZoomYTransition = { render: function () {
      var _vm = this;var _h = _vm.$createElement;var _c = _vm._self._c || _h;return _c(_vm.componentType, _vm._g(_vm._b({ tag: "component", attrs: { "tag": _vm.tag, "enter-active-class": "zoomInY", "move-class": "zoom-move", "leave-active-class": "zoomOutY" } }, 'component', _vm.$attrs, false), _vm.hooks), [_vm._t("default")], 2);
    }, staticRenderFns: [],
    name: 'zoom-y-transition',
    mixins: [baseTransition],
    props: {
      styles: {
        type: Object,
        default: function () {
          return {
            animationFillMode: 'both',
            animationTimingFunction: 'cubic-bezier(.55,0,.1,1)'
          };
        }
      }
    }
  };

  (function () {
    if (typeof document !== 'undefined') {
      var head = document.head || document.getElementsByTagName('head')[0],
          style = document.createElement('style'),
          css = " .collapse-move { transition: transform .3s ease-in-out; } ";style.type = 'text/css';if (style.styleSheet) {
        style.styleSheet.cssText = css;
      } else {
        style.appendChild(document.createTextNode(css));
      }head.appendChild(style);
    }
  })();

  var CollapseTransition = { render: function () {
      var _vm = this;var _h = _vm.$createElement;var _c = _vm._self._c || _h;return _c(_vm.componentType, _vm._g(_vm._b({ tag: "component", attrs: { "tag": _vm.tag, "move-class": "collapse-move" }, on: { "before-enter": _vm.beforeEnter, "after-enter": _vm.afterEnter, "enter": _vm.enter, "before-leave": _vm.beforeLeave, "leave": _vm.leave, "after-leave": _vm.afterLeave } }, 'component', _vm.$attrs, false), _vm.$listeners), [_vm._t("default")], 2);
    }, staticRenderFns: [],
    name: 'collapse-transition',
    mixins: [baseTransition],
    methods: {
      transitionStyle: function transitionStyle(duration) {
        if ( duration === void 0 ) duration = 300;

        var durationInSeconds = duration / 1000;
        var style = durationInSeconds + "s height ease-in-out, " + durationInSeconds + "s padding-top ease-in-out, " + durationInSeconds + "s padding-bottom ease-in-out";
        return style;
      },
      beforeEnter: function beforeEnter(el) {
        var enterDuration = this.duration.enter ? this.duration.enter : this.duration;
        el.style.transition = this.transitionStyle(enterDuration);
        if (!el.dataset) { el.dataset = {}; }

        el.dataset.oldPaddingTop = el.style.paddingTop;
        el.dataset.oldPaddingBottom = el.style.paddingBottom;

        el.style.height = '0';
        el.style.paddingTop = 0;
        el.style.paddingBottom = 0;
        this.setStyles(el);
      },

      enter: function enter(el) {
        el.dataset.oldOverflow = el.style.overflow;
        if (el.scrollHeight !== 0) {
          el.style.height = el.scrollHeight + 'px';
          el.style.paddingTop = el.dataset.oldPaddingTop;
          el.style.paddingBottom = el.dataset.oldPaddingBottom;
        } else {
          el.style.height = '';
          el.style.paddingTop = el.dataset.oldPaddingTop;
          el.style.paddingBottom = el.dataset.oldPaddingBottom;
        }

        el.style.overflow = 'hidden';
      },

      afterEnter: function afterEnter(el) {
        // for safari: remove class then reset height is necessary
        el.style.transition = '';
        el.style.height = '';
        el.style.overflow = el.dataset.oldOverflow;
      },

      beforeLeave: function beforeLeave(el) {
        if (!el.dataset) { el.dataset = {}; }
        el.dataset.oldPaddingTop = el.style.paddingTop;
        el.dataset.oldPaddingBottom = el.style.paddingBottom;
        el.dataset.oldOverflow = el.style.overflow;

        el.style.height = el.scrollHeight + 'px';
        el.style.overflow = 'hidden';
        this.setStyles(el);
      },

      leave: function leave(el) {
        var leaveDuration = this.duration.leave ? this.duration.leave : this.duration;
        if (el.scrollHeight !== 0) {
          // for safari: add class after set height, or it will jump to zero height suddenly, weired
          el.style.transition = this.transitionStyle(leaveDuration);
          el.style.height = 0;
          el.style.paddingTop = 0;
          el.style.paddingBottom = 0;
        }
        // necessary for transition-group
        this.setAbsolutePosition(el);
      },

      afterLeave: function afterLeave(el) {
        el.style.transition = '';
        el.style.height = '';
        el.style.overflow = el.dataset.oldOverflow;
        el.style.paddingTop = el.dataset.oldPaddingTop;
        el.style.paddingBottom = el.dataset.oldPaddingBottom;
      }
    }
  };

  (function () {
    if (typeof document !== 'undefined') {
      var head = document.head || document.getElementsByTagName('head')[0],
          style = document.createElement('style'),
          css = " @keyframes scaleIn { from { opacity: 0; transform: scale(0) } to { opacity: 1; } } .scaleIn { animation-name: scaleIn; } @keyframes scaleOut { from { opacity: 1; } to { opacity: 0; transform: scale(0); } } .scaleOut { animation-name: scaleOut; } .scale-move { transition: transform .3s cubic-bezier(.25, .8, .50, 1); } ";style.type = 'text/css';if (style.styleSheet) {
        style.styleSheet.cssText = css;
      } else {
        style.appendChild(document.createTextNode(css));
      }head.appendChild(style);
    }
  })();

  var ScaleTransition = { render: function () {
      var _vm = this;var _h = _vm.$createElement;var _c = _vm._self._c || _h;return _c(_vm.componentType, _vm._g(_vm._b({ tag: "component", attrs: { "tag": _vm.tag, "enter-active-class": "scaleIn", "move-class": "scale-move", "leave-active-class": "scaleOut" } }, 'component', _vm.$attrs, false), _vm.hooks), [_vm._t("default")], 2);
    }, staticRenderFns: [],
    name: 'scale-transition',
    mixins: [baseTransition],
    props: {
      origin: {
        type: String,
        default: 'top left'
      },
      styles: {
        type: Object,
        default: function () {
          return {
            animationFillMode: 'both',
            animationTimingFunction: 'cubic-bezier(.25,.8,.50,1)'
          };
        }
      }
    }
  };

  (function () {
    if (typeof document !== 'undefined') {
      var head = document.head || document.getElementsByTagName('head')[0],
          style = document.createElement('style'),
          css = ".slide-move { transition: transform .3s; } @keyframes slideYIn { from { opacity: 0; transform: translateY(-15px); } to { opacity: 1; } } .slideYIn { animation-name: slideYIn; } @keyframes slideYOut { from { opacity: 1; } to { opacity: 0; transform: translateY(-15px); } } .slideYOut { animation-name: slideYOut; } ";style.type = 'text/css';if (style.styleSheet) {
        style.styleSheet.cssText = css;
      } else {
        style.appendChild(document.createTextNode(css));
      }head.appendChild(style);
    }
  })();

  var SlideYUpTransition = { render: function () {
      var _vm = this;var _h = _vm.$createElement;var _c = _vm._self._c || _h;return _c(_vm.componentType, _vm._g(_vm._b({ tag: "component", attrs: { "tag": _vm.tag, "type": "animation", "enter-active-class": "slideYIn", "move-class": "slide-move", "leave-active-class": "slideYOut" } }, 'component', _vm.$attrs, false), _vm.hooks), [_vm._t("default")], 2);
    }, staticRenderFns: [],
    name: 'slide-y-up-transition',
    mixins: [baseTransition],
    props: {
      styles: {
        type: Object,
        default: function () {
          return {
            animationFillMode: 'both',
            animationTimingFunction: 'cubic-bezier(.25,.8,.50,1)'
          };
        }
      }
    }
  };

  (function () {
    if (typeof document !== 'undefined') {
      var head = document.head || document.getElementsByTagName('head')[0],
          style = document.createElement('style'),
          css = ".slide-move { transition: transform .3s; } @keyframes slideYDownIn { from { opacity: 0; transform: translateY(15px); } to { opacity: 1; } } .slideYDownIn { animation-name: slideYDownIn; } @keyframes slideYDownOut { from { opacity: 1; } to { opacity: 0; transform: translateY(15px); } } .slideYDownOut { animation-name: slideYDownOut; } ";style.type = 'text/css';if (style.styleSheet) {
        style.styleSheet.cssText = css;
      } else {
        style.appendChild(document.createTextNode(css));
      }head.appendChild(style);
    }
  })();

  var SlideYDownTransition = { render: function () {
      var _vm = this;var _h = _vm.$createElement;var _c = _vm._self._c || _h;return _c(_vm.componentType, _vm._g(_vm._b({ tag: "component", attrs: { "tag": _vm.tag, "enter-active-class": "slideYDownIn", "leave-active-class": "slideYDownOut" } }, 'component', _vm.$attrs, false), _vm.hooks), [_vm._t("default")], 2);
    }, staticRenderFns: [],
    name: 'slide-y-down-transition',
    mixins: [baseTransition],
    props: {
      styles: {
        type: Object,
        default: function () {
          return {
            animationFillMode: 'both',
            animationTimingFunction: 'cubic-bezier(.25,.8,.50,1)'
          };
        }
      }
    }
  };

  (function () {
    if (typeof document !== 'undefined') {
      var head = document.head || document.getElementsByTagName('head')[0],
          style = document.createElement('style'),
          css = ".slide-move { transition: transform .3s; } @keyframes slideXLeftIn { from { opacity: 0; transform: translateX(-15px); } to { opacity: 1; } } .slideXLeftIn { animation-name: slideXLeftIn; } @keyframes slideXLeftOut { from { opacity: 1; } to { opacity: 0; transform: translateX(-15px); } } .slideXLeftOut { animation-name: slideXLeftOut; } ";style.type = 'text/css';if (style.styleSheet) {
        style.styleSheet.cssText = css;
      } else {
        style.appendChild(document.createTextNode(css));
      }head.appendChild(style);
    }
  })();

  var SlideXLeftTransition = { render: function () {
      var _vm = this;var _h = _vm.$createElement;var _c = _vm._self._c || _h;return _c(_vm.componentType, _vm._g(_vm._b({ tag: "component", attrs: { "tag": _vm.tag, "enter-active-class": "slideXLeftIn", "move-class": "slide-move", "leave-active-class": "slideXLeftOut" } }, 'component', _vm.$attrs, false), _vm.hooks), [_vm._t("default")], 2);
    }, staticRenderFns: [],
    name: 'slide-x-left-transition',
    mixins: [baseTransition],
    props: {
      styles: {
        type: Object,
        default: function () {
          return {
            animationFillMode: 'both',
            animationTimingFunction: 'cubic-bezier(.25,.8,.50,1)'
          };
        }
      }
    }
  };

  (function () {
    if (typeof document !== 'undefined') {
      var head = document.head || document.getElementsByTagName('head')[0],
          style = document.createElement('style'),
          css = ".slide-move { transition: transform .3s; } @keyframes slideXRightIn { from { opacity: 0; transform: translateX(15px); } to { opacity: 1; } } .slideXRightIn { animation-name: slideXRightIn; } @keyframes slideXRightOut { from { opacity: 1; } to { opacity: 0; transform: translateX(15px); } } .slideXRightOut { animation-name: slideXRightOut; } ";style.type = 'text/css';if (style.styleSheet) {
        style.styleSheet.cssText = css;
      } else {
        style.appendChild(document.createTextNode(css));
      }head.appendChild(style);
    }
  })();

  var SlideXRightTransition = { render: function () {
      var _vm = this;var _h = _vm.$createElement;var _c = _vm._self._c || _h;return _c(_vm.componentType, _vm._g(_vm._b({ tag: "component", attrs: { "tag": _vm.tag, "enter-active-class": "slideXRightIn", "move-class": "slide-move", "leave-active-class": "slideXRightOut" } }, 'component', _vm.$attrs, false), _vm.hooks), [_vm._t("default")], 2);
    }, staticRenderFns: [],
    name: 'slide-x-right-transition',
    mixins: [baseTransition],
    props: {
      styles: {
        type: Object,
        default: function () {
          return {
            animationFillMode: 'both',
            animationTimingFunction: 'cubic-bezier(.25,.8,.50,1)'
          };
        }
      }
    }
  };

  var components$1 = {};
  components$1[FadeTransition.name] = FadeTransition;
  components$1[ZoomCenterTransition.name] = ZoomCenterTransition;
  components$1[ZoomXTransition.name] = ZoomXTransition;
  components$1[ZoomYTransition.name] = ZoomYTransition;
  components$1[CollapseTransition.name] = CollapseTransition;
  components$1[ScaleTransition.name] = ScaleTransition;
  components$1[SlideYUpTransition.name] = SlideYUpTransition;
  components$1[SlideYDownTransition.name] = SlideYDownTransition;
  components$1[SlideXLeftTransition.name] = SlideXLeftTransition;
  components$1[SlideXRightTransition.name] = SlideXRightTransition;

  function install(Vue, options) {
    if (options && options.components) {
      options.components.forEach(function (c) { return Vue.component(c.name, components$1[c.name]); });
    } else {
      Object.keys(components$1).forEach(function (key) {
        Vue.component(key, components$1[key]);
      });
    }
  }

  // Automatic installation if Vue has been added to the global scope.
  if (typeof window !== 'undefined' && window.Vue) {
    window.Vue.use({ install: install });
  }

  //

  var script$1 = {
    name: "a-alert",
    components: {
      FadeTransition: FadeTransition
    },
    props: {
      type: {
        type: String,
        default: "default",
        description: "Alert type"
      },
      icon: {
        type: String,
        default: "",
        description: "Alert icon. Will be overwritten by default slot"
      },
      dismissible: {
        type: Boolean,
        default: false,
        description: "Whether alert is closes when clicking"
      }
    },
    data: function data() {
      return {
        visible: true
      };
    },

    methods: {
      dismissAlert: function dismissAlert() {
        this.visible = false;
      }
    }
  };

  /* script */
  var __vue_script__$1 = script$1;

  /* template */
  var __vue_render__$1 = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("fade-transition", [_vm.visible ? _c("div", {
      staticClass: "alert",
      class: ["alert-" + _vm.type, { "alert-dismissible": _vm.dismissible }],
      attrs: { role: "alert" }
    }, [!_vm.dismissible ? _vm._t("default", [_vm.icon ? _c("span", { staticClass: "alert-inner--icon" }, [_c("i", { class: _vm.icon })]) : _vm._e(), _vm._v(" "), _vm.$slots.text ? _c("span", { staticClass: "alert-inner--text" }, [_vm._t("text")], 2) : _vm._e()]) : [_vm._t("default", [_vm.icon ? _c("span", { staticClass: "alert-inner--icon" }, [_c("i", { class: _vm.icon })]) : _vm._e(), _vm._v(" "), _vm.$slots.text ? _c("span", { staticClass: "alert-inner--text" }, [_vm._t("text")], 2) : _vm._e()]), _vm._v(" "), _vm._t("dismiss-icon", [_c("button", {
      staticClass: "close",
      attrs: {
        type: "button",
        "data-dismiss": "alert",
        "aria-label": "Close"
      },
      on: { click: _vm.dismissAlert }
    }, [_c("span", { attrs: { "aria-hidden": "true" } }, [_vm._v("×")])])])]], 2) : _vm._e()]);
  };
  var __vue_staticRenderFns__$1 = [];
  __vue_render__$1._withStripped = true;

  /* style */
  var __vue_inject_styles__$1 = undefined;
  /* scoped */
  var __vue_scope_id__$1 = undefined;
  /* module identifier */
  var __vue_module_identifier__$1 = undefined;
  /* functional template */
  var __vue_is_functional_template__$1 = false;
  /* component normalizer */
  function __vue_normalize__$1(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Alert/Alert.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    return component;
  }
  /* style inject */
  function __vue_create_injector__$1() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$1.styles || (__vue_create_injector__$1.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aAlert = __vue_normalize__$1({ render: __vue_render__$1, staticRenderFns: __vue_staticRenderFns__$1 }, __vue_inject_styles__$1, __vue_script__$1, __vue_scope_id__$1, __vue_is_functional_template__$1, __vue_module_identifier__$1, __vue_create_injector__$1, undefined);

  var components$2 = {
    aAlert: aAlert
  };

  var VuePlugin$1 = {
    install: function install(Vue) {
      registerComponents(Vue, components$2);
    }
  };

  vueUse(VuePlugin$1);

  var defineProperty = function (obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  };

  var _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$2 = {
    name: "a-button",
    props: {
      tag: {
        type: String,
        default: "button",
        description: "Button tag (default -> button)"
      },
      type: {
        type: String,
        default: "default",
        description: "Button type (e,g primary, danger etc)"
      },
      size: {
        type: String,
        default: "",
        description: "Button size lg|sm"
      },
      textColor: {
        type: String,
        default: "",
        description: "Button text color (e.g primary, danger etc)"
      },
      nativeType: {
        type: String,
        default: "button",
        description: "Button native type (e.g submit,button etc)"
      },
      icon: {
        type: String,
        default: "",
        description: "Button icon"
      },
      text: {
        type: String,
        default: "",
        description: "Button text in case not provided via default slot"
      },
      outline: {
        type: Boolean,
        default: false,
        description: "Whether button style is outline"
      },
      rounded: {
        type: Boolean,
        default: false,
        description: "Whether button style is rounded"
      },
      iconOnly: {
        type: Boolean,
        default: false,
        description: "Whether button contains only an icon"
      },
      block: {
        type: Boolean,
        default: false,
        description: "Whether button is of block type"
      }
    },
    computed: {
      classes: function classes() {
        var btnClasses = [{ "btn-block": this.block }, { "rounded-circle": this.rounded }, { "btn-icon-only": this.iconOnly }, defineProperty({}, "text-" + this.textColor, this.textColor), { "btn-icon": this.icon || this.$slots.icon }, this.type && !this.outline ? "btn-" + this.type : "", this.outline ? "btn-outline-" + this.type : ""];
        if (this.size) {
          btnClasses.push("btn-" + this.size);
        }
        return btnClasses;
      }
    },
    methods: {
      handleClick: function handleClick(evt) {
        this.$emit("click", evt);
      }
    }
  };

  /* script */
  var __vue_script__$2 = script$2;

  /* template */
  var __vue_render__$2 = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c(_vm.tag, {
      tag: "component",
      staticClass: "btn",
      class: _vm.classes,
      attrs: { type: _vm.tag === "button" ? _vm.nativeType : "" },
      on: { click: _vm.handleClick }
    }, [_vm.$slots.icon || _vm.icon && _vm.$slots.default ? _c("span", { staticClass: "btn-inner--icon" }, [_vm._t("icon", [_c("i", { class: _vm.icon })])], 2) : _vm._e(), _vm._v(" "), !_vm.$slots.default ? _c("i", { class: _vm.icon }) : _vm._e(), _vm._v(" "), _vm.$slots.icon || _vm.icon && _vm.$slots.default ? _c("span", { staticClass: "btn-inner--text" }, [_vm._t("default", [_vm._v("\n        " + _vm._s(_vm.text) + "\n      ")])], 2) : _vm._e(), _vm._v(" "), !_vm.$slots.icon && !_vm.icon ? _vm._t("default") : _vm._e()], 2);
  };
  var __vue_staticRenderFns__$2 = [];
  __vue_render__$2._withStripped = true;

  /* style */
  var __vue_inject_styles__$2 = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-3d6a1b11_0", { source: "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", map: { "version": 3, "sources": [], "names": [], "mappings": "", "file": "Button.vue" }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$2 = undefined;
  /* module identifier */
  var __vue_module_identifier__$2 = undefined;
  /* functional template */
  var __vue_is_functional_template__$2 = false;
  /* component normalizer */
  function __vue_normalize__$2(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Button/Button.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$2() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$2.styles || (__vue_create_injector__$2.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aButton = __vue_normalize__$2({ render: __vue_render__$2, staticRenderFns: __vue_staticRenderFns__$2 }, __vue_inject_styles__$2, __vue_script__$2, __vue_scope_id__$2, __vue_is_functional_template__$2, __vue_module_identifier__$2, __vue_create_injector__$2, undefined);

  var components$3 = {
    aButton: aButton
  };

  var VuePlugin$2 = {
    install: function install(Vue) {
      registerComponents(Vue, components$3);
    }
  };

  vueUse(VuePlugin$2);

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$3 = {
    name: "a-checkbox",
    model: {
      prop: "checked"
    },
    props: {
      checked: {
        type: [Array, Boolean],
        description: "Whether checkbox is checked"
      },
      disabled: {
        type: Boolean,
        description: "Whether checkbox is disabled"
      },
      inline: {
        type: Boolean,
        description: "Whether checkbox is inline"
      }
    },
    data: function data() {
      return {
        cbId: "",
        touched: false
      };
    },

    computed: {
      model: {
        get: function get() {
          return this.checked;
        },
        set: function set(check) {
          if (!this.touched) {
            this.touched = true;
          }
          this.$emit("input", check);
        }
      },
      inlineClass: function inlineClass() {
        if (this.inline) {
          return "form-check-inline";
        }
      }
    },
    created: function created() {
      this.cbId = Math.random().toString(16).slice(2);
    }
  };

  /* script */
  var __vue_script__$3 = script$3;

  /* template */
  var __vue_render__$3 = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("div", {
      staticClass: "custom-control custom-checkbox",
      class: [{ disabled: _vm.disabled }, _vm.inlineClass]
    }, [_c("input", {
      directives: [{
        name: "model",
        rawName: "v-model",
        value: _vm.model,
        expression: "model"
      }],
      staticClass: "custom-control-input",
      attrs: { id: _vm.cbId, type: "checkbox", disabled: _vm.disabled },
      domProps: {
        checked: Array.isArray(_vm.model) ? _vm._i(_vm.model, null) > -1 : _vm.model
      },
      on: {
        change: function change($event) {
          var $$a = _vm.model,
              $$el = $event.target,
              $$c = $$el.checked ? true : false;
          if (Array.isArray($$a)) {
            var $$v = null,
                $$i = _vm._i($$a, $$v);
            if ($$el.checked) {
              $$i < 0 && (_vm.model = $$a.concat([$$v]));
            } else {
              $$i > -1 && (_vm.model = $$a.slice(0, $$i).concat($$a.slice($$i + 1)));
            }
          } else {
            _vm.model = $$c;
          }
        }
      }
    }), _vm._v(" "), _c("label", { staticClass: "custom-control-label", attrs: { for: _vm.cbId } }, [_vm._t("default", [_vm.inline ? _c("span", [_vm._v(" ")]) : _vm._e()])], 2)]);
  };
  var __vue_staticRenderFns__$3 = [];
  __vue_render__$3._withStripped = true;

  /* style */
  var __vue_inject_styles__$3 = undefined;
  /* scoped */
  var __vue_scope_id__$3 = undefined;
  /* module identifier */
  var __vue_module_identifier__$3 = undefined;
  /* functional template */
  var __vue_is_functional_template__$3 = false;
  /* component normalizer */
  function __vue_normalize__$3(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Checkbox/Checkbox.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    return component;
  }
  /* style inject */
  function __vue_create_injector__$3() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$3.styles || (__vue_create_injector__$3.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aCheckbox = __vue_normalize__$3({ render: __vue_render__$3, staticRenderFns: __vue_staticRenderFns__$3 }, __vue_inject_styles__$3, __vue_script__$3, __vue_scope_id__$3, __vue_is_functional_template__$3, __vue_module_identifier__$3, __vue_create_injector__$3, undefined);

  var components$4 = {
    aCheckbox: aCheckbox
  };

  var VuePlugin$3 = {
    install: function install(Vue) {
      registerComponents(Vue, components$4);
    }
  };

  vueUse(VuePlugin$3);

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$4 = {
    props: ['forceActive'],
    data: function data() {
      return {
        active: this.forceActive,
        show: false,
        showThanks: false,
        showRevoked: false
      };
    },

    methods: {
      checkRevoke: function checkRevoke() {
        if (window.location.search === "?revoked=true") {
          this.onRevoke();
        }
      },
      allowAllCookies: function allowAllCookies() {
        var _this = this;

        this.show = false;
        this.showThanks = true;
        setTimeout(function () {
          _this.showThanks = false;
        }, 3000);
        var expiry = new Date();
        expiry.setFullYear(expiry.getFullYear() + 1);
        document.cookie = 'cookie-consent-received=true;expires=' + expiry.toGMTString();
        this.$emit('cookie-consent-received');
      },
      revokeConsent: function revokeConsent() {
        this.clearAllCookies();
        window.location.search = "?revoked=true";
      },
      onRevoke: function onRevoke() {
        var _this2 = this;

        window.scrollTo(0, document.body.scrollHeight);

        this.show = true;
        this.showRevoked = true;

        setTimeout(function () {
          _this2.showRevoked = false;
        }, 3000);

        this.$emit('cookie-consent-revoked');
      },
      clearAllCookies: function clearAllCookies() {
        document.cookie.split(";").forEach(function (c) {
          document.cookie = c.replace(/^ +/, "").replace(/=.*/, "=;expires=" + new Date().toUTCString() + ";path=/");
        });
      }
    },
    mounted: function mounted() {
      var consent = document.cookie.split(';').find(function (item) {
        return item.includes('cookie-consent-received=true');
      });

      this.checkRevoke();

      if (!consent) {
        this.show = true;
      } else {
        this.$emit('cookie-consent-received');
      }
    }
  };

  /* script */
  var __vue_script__$4 = script$4;

  /* template */
  var __vue_render__$4 = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _vm.active ? _c("div", { staticClass: "position-relative" }, [_c("transition", { attrs: { name: "fade" } }, [_vm.show && !_vm.showRevoked ? _c("a-card", {
      staticClass: "cookies-banner bg-dark text-white",
      attrs: { "body-classes": "d-flex" }
    }, [_c("div", { staticClass: "left-side" }, [_vm._v("\n        We use cookies to track your usage of this site. We also share information about your usage with third-party services to help improve your experience. We will never track you without your permission.\n      ")]), _vm._v(" "), _c("div", { staticClass: "right-side" }, [_c("a-button", {
      attrs: { type: "primary" },
      on: { click: _vm.allowAllCookies }
    }, [_vm._v("Allow all cookies")])], 1)]) : _vm._e()], 1), _vm._v(" "), _c("transition", { attrs: { name: "fade" } }, [_vm.showThanks ? _c("a-card", { staticClass: "cookies-banner bg-dark text-white" }, [_vm._v("\n      Thanks! 🎉 You can always revoke your consent at the bottom of the page.\n    ")]) : _vm._e()], 1), _vm._v(" "), _c("transition", { attrs: { name: "fade" } }, [_vm.showRevoked ? _c("a-card", { staticClass: "cookies-banner bg-dark text-white" }, [_vm._v("\n      Your consent has been revoked. We won't track you any longer.\n    ")]) : _vm._e()], 1), _vm._v(" "), !_vm.show ? _c("a-card", { staticClass: "revoke-banner bg-dark text-white" }, [_vm._v("\n    Thanks for letting us use cookies! "), _c("a", {
      attrs: { href: "javascript:void(0)" },
      on: { click: _vm.revokeConsent }
    }, [_vm._v("Revoke your consent.")])]) : _vm._e()], 1) : _vm._e();
  };
  var __vue_staticRenderFns__$4 = [];
  __vue_render__$4._withStripped = true;

  /* style */
  var __vue_inject_styles__$4 = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-77624bb6_0", { source: "\n.cookies-banner[data-v-77624bb6] {\n  display: flex;\n  position: fixed;\n  z-index: 200;\n  bottom: 0;\n  left: 0;\n  width: 100%;\n}\n.left-side[data-v-77624bb6] {\n  line-height: 1.8em;\n  padding: 0.25em;\n}\n.right-side[data-v-77624bb6] {\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n}\n.revoke-banner[data-v-77624bb6] {\n  text-align: center;\n  width: 100%;\n}\n.fade-enter-active[data-v-77624bb6], .fade-leave-active[data-v-77624bb6] {\n  transition: opacity .5s;\n}\n.fade-enter[data-v-77624bb6], .fade-leave-to[data-v-77624bb6] {\n  opacity: 0;\n}\n", map: { "version": 3, "sources": ["/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/CookiesBanner/CookiesBanner.vue"], "names": [], "mappings": ";AA6FA;EACA,cAAA;EACA,gBAAA;EACA,aAAA;EACA,UAAA;EACA,QAAA;EACA,YAAA;CACA;AAEA;EACA,mBAAA;EACA,gBAAA;CACA;AAEA;EACA,qBAAA;EACA,oBAAA;EACA,wBAAA;CACA;AAEA;EACA,mBAAA;EACA,YAAA;CACA;AAEA;EACA,wBAAA;CACA;AAEA;EACA,WAAA;CACA", "file": "CookiesBanner.vue", "sourcesContent": ["<template>\n  <div v-if=\"active\" class=\"position-relative\">\n    <transition name=\"fade\">\n      <a-card v-if=\"show && !showRevoked\" body-classes=\"d-flex\" class=\"cookies-banner bg-dark text-white\">\n        <div class=\"left-side\">\n          We use cookies to track your usage of this site. We also share information about your usage with third-party services to help improve your experience. We will never track you without your permission.\n        </div>\n        <div class=\"right-side\">\n          <a-button type=\"primary\" @click=\"allowAllCookies\">Allow all cookies</a-button>\n        </div>\n      </a-card>\n    </transition>\n    <transition name=\"fade\">\n      <a-card class=\"cookies-banner bg-dark text-white\" v-if=\"showThanks\">\n        Thanks! 🎉 You can always revoke your consent at the bottom of the page.\n      </a-card>\n    </transition>\n    <transition name=\"fade\">\n      <a-card class=\"cookies-banner bg-dark text-white\" v-if=\"showRevoked\">\n        Your consent has been revoked. We won't track you any longer.\n      </a-card>\n    </transition>\n    <a-card v-if=\"!show\" class=\"revoke-banner bg-dark text-white\">\n      Thanks for letting us use cookies! <a href=\"javascript:void(0)\" @click=\"revokeConsent\">Revoke your consent.</a>\n    </a-card>\n  </div>\n</template>\n\n<script>\nexport default {\n  props: ['forceActive'],\n  data() {\n    return {\n      active: this.forceActive,\n      show: false,\n      showThanks: false,\n      showRevoked: false\n    }\n  },\n  methods: {\n    checkRevoke() {\n      if (window.location.search === \"?revoked=true\") {\n        this.onRevoke();\n      }\n    },\n    allowAllCookies() {\n      this.show = false;\n      this.showThanks = true;\n      setTimeout(() => {\n        this.showThanks = false\n      }, 3000);\n      const expiry = new Date();\n      expiry.setFullYear(expiry.getFullYear() + 1);\n      document.cookie = `cookie-consent-received=true;expires=${expiry.toGMTString()}`\n      this.$emit('cookie-consent-received');\n    },\n    revokeConsent() {\n      this.clearAllCookies();\n      window.location.search = \"?revoked=true\";\n    },\n    onRevoke() {\n      window.scrollTo(0, document.body.scrollHeight);\n\n      this.show = true;\n      this.showRevoked = true;\n\n      setTimeout(() => {\n        this.showRevoked = false;\n      }, 3000);\n\n      this.$emit('cookie-consent-revoked');\n    },\n    clearAllCookies() {\n      document.cookie.split(\";\").forEach(function(c) { document.cookie = c.replace(/^ +/, \"\").replace(/=.*/, \"=;expires=\" + new Date().toUTCString() + \";path=/\"); });\n    }\n  },\n  mounted() {\n    const consent = document.cookie.split(';').find((item) => {\n      return item.includes('cookie-consent-received=true');\n    });\n\n    this.checkRevoke();\n\n    if (!consent) {\n      this.show = true;\n    } else {\n      this.$emit('cookie-consent-received');\n    }\n  }\n}\n</script>\n\n<style scoped>\n.cookies-banner {\n  display: flex;\n  position: fixed;\n  z-index: 200;\n  bottom: 0;\n  left: 0;\n  width: 100%;\n}\n\n.left-side {\n  line-height: 1.8em;\n  padding: 0.25em;\n}\n\n.right-side {\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n}\n\n.revoke-banner {\n  text-align: center;\n  width: 100%;\n}\n\n.fade-enter-active, .fade-leave-active {\n  transition: opacity .5s;\n}\n\n.fade-enter, .fade-leave-to {\n  opacity: 0;\n}\n</style>\n"] }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$4 = "data-v-77624bb6";
  /* module identifier */
  var __vue_module_identifier__$4 = undefined;
  /* functional template */
  var __vue_is_functional_template__$4 = false;
  /* component normalizer */
  function __vue_normalize__$4(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/CookiesBanner/CookiesBanner.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$4() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$4.styles || (__vue_create_injector__$4.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aCookiesBanner = __vue_normalize__$4({ render: __vue_render__$4, staticRenderFns: __vue_staticRenderFns__$4 }, __vue_inject_styles__$4, __vue_script__$4, __vue_scope_id__$4, __vue_is_functional_template__$4, __vue_module_identifier__$4, __vue_create_injector__$4, undefined);

  var components$5 = {
    aCookiesBanner: aCookiesBanner
  };

  var VuePlugin$4 = {
    install: function install(Vue) {
      registerComponents(Vue, components$5);
    }
  };

  vueUse(VuePlugin$4);

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$5 = {
    name: "a-dropdown",
    props: {
      direction: {
        type: String,
        default: "down"
      },
      title: {
        type: String,
        description: "Dropdown title"
      },
      icon: {
        type: String,
        description: "Icon for dropdown title"
      },
      position: {
        type: String,
        description: "Position of dropdown menu (e.g right|left)"
      },
      menuClasses: {
        type: [String, Object],
        description: "Dropdown menu classes"
      },
      hideArrow: {
        type: Boolean,
        description: "Whether dropdown arrow should be hidden"
      },
      tag: {
        type: String,
        default: "li",
        description: "Dropdown html tag (e.g div, li etc)"
      }
    },
    data: function data() {
      return {
        isOpen: false
      };
    },

    methods: {
      toggleDropDown: function toggleDropDown() {
        this.isOpen = !this.isOpen;
        this.$emit("change", this.isOpen);
      },
      closeDropDown: function closeDropDown() {
        this.isOpen = false;
        this.$emit("change", this.isOpen);
      }
    }
  };

  /* script */
  var __vue_script__$5 = script$5;

  /* template */
  var __vue_render__$5 = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c(_vm.tag, {
      directives: [{
        name: "click-outside",
        rawName: "v-click-outside",
        value: _vm.closeDropDown,
        expression: "closeDropDown"
      }],
      tag: "component",
      staticClass: "dropdown",
      class: [{ show: _vm.isOpen }, { dropdown: _vm.direction === "down" }, { dropup: _vm.direction === "up" }],
      attrs: { "aria-haspopup": "true", "aria-expanded": _vm.isOpen },
      on: { click: _vm.toggleDropDown }
    }, [_vm._t("title", [_c("a", {
      staticClass: "dropdown-toggle nav-link",
      class: { "no-caret": _vm.hideArrow },
      attrs: { "data-toggle": "dropdown" }
    }, [_c("i", { class: _vm.icon }), _vm._v(" "), _c("span", { staticClass: "no-icon" }, [_vm._v(_vm._s(_vm.title))])])]), _vm._v(" "), _c("ul", {
      staticClass: "dropdown-menu",
      class: [{ "dropdown-menu-right": _vm.position === "right" }, { show: _vm.isOpen }, _vm.menuClasses]
    }, [_vm._t("default")], 2)], 2);
  };
  var __vue_staticRenderFns__$5 = [];
  __vue_render__$5._withStripped = true;

  /* style */
  var __vue_inject_styles__$5 = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-75b5ccd2_0", { source: "\n.dropdown {\n  list-style-type: none;\n}\n.dropdown .dropdown-toggle {\n  cursor: pointer;\n}\n", map: { "version": 3, "sources": ["/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Dropdown/Dropdown.vue"], "names": [], "mappings": ";AA2EA;EACA,sBAAA;CACA;AAEA;EACA,gBAAA;CACA", "file": "Dropdown.vue", "sourcesContent": ["<template>\n    <component class=\"dropdown\"\n               v-bind:is=\"tag\"\n               v-bind:class=\"[{show: isOpen}, {'dropdown': direction === 'down'}, {'dropup': direction ==='up'}]\"\n               aria-haspopup=\"true\"\n               v-bind:aria-expanded=\"isOpen\"\n               @click=\"toggleDropDown\"\n               v-click-outside=\"closeDropDown\">\n\n        <slot name=\"title\">\n            <a class=\"dropdown-toggle nav-link\"\n               v-bind:class=\"{'no-caret': hideArrow}\"\n               data-toggle=\"dropdown\">\n                <i v-bind:class=\"icon\"></i>\n                <span class=\"no-icon\">{{title}}</span>\n            </a>\n        </slot>\n        <ul class=\"dropdown-menu\"\n            v-bind:class=\"[{'dropdown-menu-right': position === 'right'}, {show: isOpen}, menuClasses]\">\n            <slot></slot>\n        </ul>\n    </component>\n</template>\n<script>\nexport default {\n  name: \"a-dropdown\",\n  props: {\n    direction: {\n      type: String,\n      default: \"down\"\n    },\n    title: {\n      type: String,\n      description: \"Dropdown title\"\n    },\n    icon: {\n      type: String,\n      description: \"Icon for dropdown title\"\n    },\n    position: {\n      type: String,\n      description: \"Position of dropdown menu (e.g right|left)\"\n    },\n    menuClasses: {\n      type: [String, Object],\n      description: \"Dropdown menu classes\"\n    },\n    hideArrow: {\n      type: Boolean,\n      description: \"Whether dropdown arrow should be hidden\"\n    },\n    tag: {\n      type: String,\n      default: \"li\",\n      description: \"Dropdown html tag (e.g div, li etc)\"\n    }\n  },\n  data() {\n    return {\n      isOpen: false\n    };\n  },\n  methods: {\n    toggleDropDown() {\n      this.isOpen = !this.isOpen;\n      this.$emit(\"change\", this.isOpen);\n    },\n    closeDropDown() {\n      this.isOpen = false;\n      this.$emit(\"change\", this.isOpen);\n    }\n  }\n};\n</script>\n<style>\n.dropdown {\n  list-style-type: none;\n}\n\n.dropdown .dropdown-toggle {\n  cursor: pointer;\n}\n</style>\n"] }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$5 = undefined;
  /* module identifier */
  var __vue_module_identifier__$5 = undefined;
  /* functional template */
  var __vue_is_functional_template__$5 = false;
  /* component normalizer */
  function __vue_normalize__$5(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Dropdown/Dropdown.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$5() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$5.styles || (__vue_create_injector__$5.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aDropdown = __vue_normalize__$5({ render: __vue_render__$5, staticRenderFns: __vue_staticRenderFns__$5 }, __vue_inject_styles__$5, __vue_script__$5, __vue_scope_id__$5, __vue_is_functional_template__$5, __vue_module_identifier__$5, __vue_create_injector__$5, undefined);

  var components$6 = {
    aDropdown: aDropdown
  };

  var VuePlugin$5 = {
    install: function install(Vue) {
      registerComponents(Vue, components$6);
    }
  };

  vueUse(VuePlugin$5);

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$6 = {
    inheritAttrs: false,
    name: "a-input",
    props: {
      required: {
        type: Boolean,
        description: "Whether input is required (adds an asterix *)"
      },
      valid: {
        type: Boolean,
        description: "Whether is valid",
        default: undefined
      },
      alternative: {
        type: Boolean,
        description: "Whether input is of alternative layout"
      },
      label: {
        type: String,
        description: "Input label (text before input)"
      },
      error: {
        type: String,
        description: "Input error (below input)"
      },
      labelClasses: {
        type: String,
        description: "Input label css classes"
      },
      inputClasses: {
        type: String,
        description: "Input css classes"
      },
      value: {
        type: [String, Number],
        description: "Input value"
      },
      addonRightIcon: {
        type: String,
        description: "Addon right icon"
      },
      addonLeftIcon: {
        type: String,
        description: "Addont left icon"
      }
    },
    data: function data() {
      return {
        focused: false
      };
    },

    computed: {
      listeners: function listeners() {
        return _extends({}, this.$listeners, {
          input: this.updateValue,
          focus: this.onFocus,
          blur: this.onBlur
        });
      },
      slotData: function slotData() {
        return _extends({
          focused: this.focused
        }, this.listeners);
      },
      hasIcon: function hasIcon() {
        var _$slots = this.$slots,
            addonRight = _$slots.addonRight,
            addonLeft = _$slots.addonLeft;

        return addonRight !== undefined || addonLeft !== undefined || this.addonRightIcon !== undefined || this.addonLeftIcon !== undefined;
      }
    },
    methods: {
      updateValue: function updateValue(evt) {
        var value = evt.target.value;
        this.$emit("input", value);
      },
      onFocus: function onFocus(value) {
        this.focused = true;
        this.$emit("focus", value);
      },
      onBlur: function onBlur(value) {
        this.focused = false;
        this.$emit("blur", value);
      }
    }
  };

  /* script */
  var __vue_script__$6 = script$6;

  /* template */
  var __vue_render__$6 = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("div", {
      staticClass: "form-group",
      class: [{ "input-group": _vm.hasIcon }, { "has-danger": _vm.error }, { focused: _vm.focused }, { "input-group-alternative": _vm.alternative }, { "has-label": _vm.label || _vm.$slots.label }, { "has-success": _vm.valid === true }, { "has-danger": _vm.valid === false }]
    }, [_vm._t("label", [_vm.label ? _c("label", { class: _vm.labelClasses }, [_vm._v("\n            " + _vm._s(_vm.label) + "\n            "), _vm.required ? _c("span", [_vm._v("*")]) : _vm._e()]) : _vm._e()]), _vm._v(" "), _vm.addonLeftIcon || _vm.$slots.addonLeft ? _c("div", { staticClass: "input-group-prepend" }, [_c("span", { staticClass: "input-group-text" }, [_vm._t("addonLeft", [_c("i", { class: _vm.addonLeftIcon })])], 2)]) : _vm._e(), _vm._v(" "), _vm._t("default", [_c("input", _vm._g(_vm._b({
      staticClass: "form-control",
      class: [{ "is-valid": _vm.valid === true }, { "is-invalid": _vm.valid === false }, _vm.inputClasses],
      attrs: { "aria-describedby": "addon-right addon-left" },
      domProps: { value: _vm.value }
    }, "input", _vm.$attrs, false), _vm.listeners))], null, _vm.slotData), _vm._v(" "), _vm.addonRightIcon || _vm.$slots.addonRight ? _c("div", { staticClass: "input-group-append" }, [_c("span", { staticClass: "input-group-text" }, [_vm._t("addonRight", [_c("i", { class: _vm.addonRightIcon })])], 2)]) : _vm._e(), _vm._v(" "), _vm._t("infoBlock"), _vm._v(" "), _vm._t("helpBlock", [_vm.error ? _c("div", {
      staticClass: "text-danger invalid-feedback",
      class: { "mt-2": _vm.hasIcon },
      staticStyle: { display: "block" }
    }, [_vm._v("\n            " + _vm._s(_vm.error) + "\n        ")]) : _vm._e()])], 2);
  };
  var __vue_staticRenderFns__$6 = [];
  __vue_render__$6._withStripped = true;

  /* style */
  var __vue_inject_styles__$6 = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-25644550_0", { source: "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", map: { "version": 3, "sources": [], "names": [], "mappings": "", "file": "Input.vue" }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$6 = undefined;
  /* module identifier */
  var __vue_module_identifier__$6 = undefined;
  /* functional template */
  var __vue_is_functional_template__$6 = false;
  /* component normalizer */
  function __vue_normalize__$6(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Input/Input.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$6() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$6.styles || (__vue_create_injector__$6.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aInput = __vue_normalize__$6({ render: __vue_render__$6, staticRenderFns: __vue_staticRenderFns__$6 }, __vue_inject_styles__$6, __vue_script__$6, __vue_scope_id__$6, __vue_is_functional_template__$6, __vue_module_identifier__$6, __vue_create_injector__$6, undefined);

  var components$7 = {
    aInput: aInput
  };

  var VuePlugin$6 = {
    install: function install(Vue) {
      registerComponents(Vue, components$7);
    }
  };

  vueUse(VuePlugin$6);

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$7 = {
    name: 'a-navbar-toggle-button',
    props: {
      target: {
        type: [String, Number],
        description: "Button target element"
      },
      toggled: {
        type: Boolean,
        default: false,
        description: "Whether button is toggled"
      }
    }
  };

  /* script */
  var __vue_script__$7 = script$7;

  /* template */
  var __vue_render__$7 = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("button", {
      staticClass: "navbar-toggler",
      attrs: {
        type: "button",
        "data-toggle": "collapse",
        "data-target": _vm.target,
        "aria-controls": _vm.target,
        "aria-expanded": _vm.toggled,
        "aria-label": "Toggle navigation"
      }
    }, [_c("span", { staticClass: "navbar-toggler-icon" })]);
  };
  var __vue_staticRenderFns__$7 = [];
  __vue_render__$7._withStripped = true;

  /* style */
  var __vue_inject_styles__$7 = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-c9a5b6b4_0", { source: "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", map: { "version": 3, "sources": [], "names": [], "mappings": "", "file": "NavbarToggleButton.vue" }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$7 = undefined;
  /* module identifier */
  var __vue_module_identifier__$7 = undefined;
  /* functional template */
  var __vue_is_functional_template__$7 = false;
  /* component normalizer */
  function __vue_normalize__$7(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/NavbarToggleButton/NavbarToggleButton.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$7() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$7.styles || (__vue_create_injector__$7.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aNavbarToggleButton = __vue_normalize__$7({ render: __vue_render__$7, staticRenderFns: __vue_staticRenderFns__$7 }, __vue_inject_styles__$7, __vue_script__$7, __vue_scope_id__$7, __vue_is_functional_template__$7, __vue_module_identifier__$7, __vue_create_injector__$7, undefined);

  //

  var script$8 = {
    name: "a-nav",
    components: {
      FadeTransition: FadeTransition,
      aNavbarToggleButton: aNavbarToggleButton
    },
    props: {
      type: {
        type: String,
        default: "primary",
        description: "Navbar type (e.g default, primary etc)"
      },
      title: {
        type: String,
        default: "",
        description: "Title of navbar"
      },
      contentId: {
        type: [String, Number],
        default: Math.random().toString(),
        description: "Explicit id for the menu. By default it's a generated random number"
      },
      effect: {
        type: String,
        default: "dark",
        description: "Effect of the navbar (light|dark)"
      },
      round: {
        type: Boolean,
        default: false,
        description: "Whether nav has rounded corners"
      },
      transparent: {
        type: Boolean,
        default: false,
        description: "Whether navbar is transparent"
      },
      expand: {
        type: Boolean,
        default: false,
        description: "Whether navbar should contain `navbar-expand-lg` class"
      }
    },
    data: function data() {
      return {
        toggled: false
      };
    },

    methods: {
      onTitleClick: function onTitleClick(evt) {
        this.$emit("title-click", evt);
      },
      closeMenu: function closeMenu() {
        this.toggled = false;
      }
    }
  };

  /* script */
  var __vue_script__$8 = script$8;

  /* template */
  var __vue_render__$8 = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("nav", {
      staticClass: "navbar",
      class: [{ "navbar-expand-lg": _vm.expand }, (_obj = {}, _obj["navbar-" + _vm.effect] = _vm.effect, _obj), { "navbar-transparent": _vm.transparent }, (_obj$1 = {}, _obj$1["bg-" + _vm.type] = _vm.type, _obj$1), { rounded: _vm.round }]
    }, [_c("div", { staticClass: "container" }, [_vm._t("container-pre"), _vm._v(" "), _vm._t("brand", [_c("a", {
      staticClass: "navbar-brand",
      attrs: { href: "#" },
      on: {
        click: function click($event) {
          $event.preventDefault();
          return _vm.onTitleClick($event);
        }
      }
    }, [_vm._v("\n                " + _vm._s(_vm.title) + "\n            ")])]), _vm._v(" "), _c("a-navbar-toggle-button", {
      attrs: { toggled: _vm.toggled, target: _vm.contentId },
      nativeOn: {
        click: function click($event) {
          $event.stopPropagation();
          _vm.toggled = !_vm.toggled;
        }
      }
    }), _vm._v(" "), _vm._t("container-after"), _vm._v(" "), _c("div", {
      directives: [{
        name: "click-outside",
        rawName: "v-click-outside",
        value: _vm.closeMenu,
        expression: "closeMenu"
      }],
      staticClass: "collapse navbar-collapse",
      class: { show: _vm.toggled },
      attrs: { id: _vm.contentId }
    }, [_c("div", { staticClass: "navbar-collapse-header" }, [_vm._t("content-header", null, { closeMenu: _vm.closeMenu })], 2), _vm._v(" "), _vm._t("default", null, { closeMenu: _vm.closeMenu })], 2)], 2)]);
    var _obj;
    var _obj$1;
  };
  var __vue_staticRenderFns__$8 = [];
  __vue_render__$8._withStripped = true;

  /* style */
  var __vue_inject_styles__$8 = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-6b108882_0", { source: "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", map: { "version": 3, "sources": [], "names": [], "mappings": "", "file": "Nav.vue" }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$8 = undefined;
  /* module identifier */
  var __vue_module_identifier__$8 = undefined;
  /* functional template */
  var __vue_is_functional_template__$8 = false;
  /* component normalizer */
  function __vue_normalize__$8(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Nav/Nav.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$8() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$8.styles || (__vue_create_injector__$8.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aNav = __vue_normalize__$8({ render: __vue_render__$8, staticRenderFns: __vue_staticRenderFns__$8 }, __vue_inject_styles__$8, __vue_script__$8, __vue_scope_id__$8, __vue_is_functional_template__$8, __vue_module_identifier__$8, __vue_create_injector__$8, undefined);

  var components$8 = {
    aNav: aNav
  };

  var VuePlugin$7 = {
    install: function install(Vue) {
      registerComponents(Vue, components$8);
    }
  };

  vueUse(VuePlugin$7);

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$9 = {
    name: "a-pagination",
    props: {
      pageCount: {
        type: Number,
        default: 0,
        description: "Pagination page count. This should be specified in combination with perPage"
      },
      perPage: {
        type: Number,
        default: 10,
        description: "Pagination per page. Should be specified with total or pageCount"
      },
      total: {
        type: Number,
        default: 0,
        description: "Can be specified instead of pageCount. The page count in this case will be total/perPage"
      },
      value: {
        type: Number,
        default: 1,
        description: "Pagination value"
      },
      size: {
        type: String,
        default: "",
        description: "Pagination size"
      },
      align: {
        type: String,
        default: "",
        description: "Pagination alignment (e.g center|start|end)"
      }
    },
    computed: {
      totalPages: function totalPages() {
        if (this.pageCount > 0) return this.pageCount;
        if (this.total > 0) {
          return Math.ceil(this.total / this.perPage);
        }
        return 1;
      },
      pagesToDisplay: function pagesToDisplay() {
        if (this.totalPages > 0 && this.totalPages < this.defaultPagesToDisplay) {
          return this.totalPages;
        }
        return this.defaultPagesToDisplay;
      },
      minPage: function minPage() {
        if (this.value >= this.pagesToDisplay) {
          var pagesToAdd = Math.floor(this.pagesToDisplay / 2);
          var newMaxPage = pagesToAdd + this.value;
          if (newMaxPage > this.totalPages) {
            return this.totalPages - this.pagesToDisplay + 1;
          }
          return this.value - pagesToAdd;
        } else {
          return 1;
        }
      },
      maxPage: function maxPage() {
        if (this.value >= this.pagesToDisplay) {
          var pagesToAdd = Math.floor(this.pagesToDisplay / 2);
          var newMaxPage = pagesToAdd + this.value;
          if (newMaxPage < this.totalPages) {
            return newMaxPage;
          } else {
            return this.totalPages;
          }
        } else {
          return this.pagesToDisplay;
        }
      }
    },
    data: function data() {
      return {
        defaultPagesToDisplay: 5
      };
    },

    methods: {
      range: function range(min, max) {
        var arr = [];
        for (var i = min; i <= max; i++) {
          arr.push(i);
        }
        return arr;
      },
      changePage: function changePage(item) {
        this.$emit("input", item);
      },
      nextPage: function nextPage() {
        if (this.value < this.totalPages) {
          this.$emit("input", this.value + 1);
        }
      },
      prevPage: function prevPage() {
        if (this.value > 1) {
          this.$emit("input", this.value - 1);
        }
      }
    },
    watch: {
      perPage: function perPage() {
        this.$emit("input", 1);
      },
      total: function total() {
        this.$emit("input", 1);
      }
    }
  };

  /* script */
  var __vue_script__$9 = script$9;

  /* template */
  var __vue_render__$9 = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("ul", {
      staticClass: "pagination",
      class: [_vm.size && "pagination-" + _vm.size, _vm.align && "justify-content-" + _vm.align]
    }, [_c("li", {
      staticClass: "page-item prev-page",
      class: { disabled: _vm.value === 1 }
    }, [_c("a", {
      staticClass: "page-link",
      attrs: { "aria-label": "Previous" },
      on: { click: _vm.prevPage }
    }, [_vm._m(0)])]), _vm._v(" "), _vm._l(_vm.range(_vm.minPage, _vm.maxPage), function (item) {
      return _c("li", {
        key: item,
        staticClass: "page-item",
        class: { active: _vm.value === item }
      }, [_c("a", {
        staticClass: "page-link",
        on: {
          click: function click($event) {
            _vm.changePage(item);
          }
        }
      }, [_vm._v(_vm._s(item))])]);
    }), _vm._v(" "), _c("li", {
      staticClass: "page-item next-page",
      class: { disabled: _vm.value === _vm.totalPages }
    }, [_c("a", {
      staticClass: "page-link",
      attrs: { "aria-label": "Next" },
      on: { click: _vm.nextPage }
    }, [_vm._m(1)])])], 2);
  };
  var __vue_staticRenderFns__$9 = [function () {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("span", { attrs: { "aria-hidden": "true" } }, [_c("i", {
      staticClass: "fa fa-angle-left",
      attrs: { "aria-hidden": "true" }
    })]);
  }, function () {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("span", { attrs: { "aria-hidden": "true" } }, [_c("i", {
      staticClass: "fa fa-angle-right",
      attrs: { "aria-hidden": "true" }
    })]);
  }];
  __vue_render__$9._withStripped = true;

  /* style */
  var __vue_inject_styles__$9 = undefined;
  /* scoped */
  var __vue_scope_id__$9 = undefined;
  /* module identifier */
  var __vue_module_identifier__$9 = undefined;
  /* functional template */
  var __vue_is_functional_template__$9 = false;
  /* component normalizer */
  function __vue_normalize__$9(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Pagination/Pagination.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    return component;
  }
  /* style inject */
  function __vue_create_injector__$9() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$9.styles || (__vue_create_injector__$9.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aPagination = __vue_normalize__$9({ render: __vue_render__$9, staticRenderFns: __vue_staticRenderFns__$9 }, __vue_inject_styles__$9, __vue_script__$9, __vue_scope_id__$9, __vue_is_functional_template__$9, __vue_module_identifier__$9, __vue_create_injector__$9, undefined);

  var components$9 = {
    aPagination: aPagination
  };

  var VuePlugin$8 = {
    install: function install(Vue) {
      registerComponents(Vue, components$9);
    }
  };

  vueUse(VuePlugin$8);

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$a = {
    name: "a-progress",
    props: {
      striped: {
        type: Boolean,
        description: "Whether progress is striped"
      },
      animated: {
        type: Boolean,
        description: "Whether progress is animated (works only with `striped` prop together)"
      },
      label: {
        type: String,
        description: "Progress label (shown on the left above progress)"
      },
      height: {
        type: Number,
        default: 8,
        description: "Progress line height"
      },
      type: {
        type: String,
        default: "default",
        description: "Progress type (e.g danger, primary etc)"
      },
      value: {
        type: Number,
        default: 0,
        validator: function validator(value) {
          return value >= 0 && value <= 100;
        },
        description: "Progress value"
      }
    },
    computed: {
      computedClasses: function computedClasses() {
        return [{ "progress-bar-striped": this.striped }, { "progress-bar-animated": this.animated }, defineProperty({}, "bg-" + this.type, this.type)];
      }
    }
  };

  /* script */
  var __vue_script__$a = script$a;

  /* template */
  var __vue_render__$a = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("div", { staticClass: "progress-wrapper" }, [_c("div", { class: "progress-" + _vm.type }, [_c("div", { staticClass: "progress-label" }, [_vm._t("label", [_c("span", [_vm._v(_vm._s(_vm.label))])])], 2), _vm._v(" "), _c("div", { staticClass: "progress-percentage" }, [_vm._t("default", [_c("span", [_vm._v(_vm._s(_vm.value) + "%")])])], 2)]), _vm._v(" "), _c("div", { staticClass: "progress", style: "height: " + _vm.height + "px" }, [_c("div", {
      staticClass: "progress-bar",
      class: _vm.computedClasses,
      style: "width: " + _vm.value + "%;",
      attrs: {
        role: "progressbar",
        "aria-valuenow": _vm.value,
        "aria-valuemin": "0",
        "aria-valuemax": "100"
      }
    })])]);
  };
  var __vue_staticRenderFns__$a = [];
  __vue_render__$a._withStripped = true;

  /* style */
  var __vue_inject_styles__$a = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-95c9507c_0", { source: "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", map: { "version": 3, "sources": [], "names": [], "mappings": "", "file": "Progress.vue" }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$a = undefined;
  /* module identifier */
  var __vue_module_identifier__$a = undefined;
  /* functional template */
  var __vue_is_functional_template__$a = false;
  /* component normalizer */
  function __vue_normalize__$a(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Progress/Progress.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$a() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$a.styles || (__vue_create_injector__$a.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aProgress = __vue_normalize__$a({ render: __vue_render__$a, staticRenderFns: __vue_staticRenderFns__$a }, __vue_inject_styles__$a, __vue_script__$a, __vue_scope_id__$a, __vue_is_functional_template__$a, __vue_module_identifier__$a, __vue_create_injector__$a, undefined);

  var components$a = {
    aProgress: aProgress
  };

  var VuePlugin$9 = {
    install: function install(Vue) {
      registerComponents(Vue, components$a);
    }
  };

  vueUse(VuePlugin$9);

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$b = {
    name: "a-radio",
    props: {
      name: {
        type: [String, Number],
        description: "Radio label"
      },
      disabled: {
        type: Boolean,
        description: "Whether radio is disabled"
      },
      value: {
        type: [String, Boolean],
        description: "Radio value"
      },
      inline: {
        type: Boolean,
        description: "Whether radio is inline"
      }
    },
    data: function data() {
      return {
        cbId: ""
      };
    },

    computed: {
      model: {
        get: function get() {
          return this.value;
        },
        set: function set(value) {
          this.$emit("input", value);
        }
      },
      inlineClass: function inlineClass() {
        if (this.inline) {
          return "form-check-inline";
        }
        return "";
      }
    },
    created: function created() {
      this.cbId = Math.random().toString(16).slice(2);
    }
  };

  /* script */
  var __vue_script__$b = script$b;

  /* template */
  var __vue_render__$b = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("div", {
      staticClass: "custom-control custom-radio",
      class: [_vm.inlineClass, { disabled: _vm.disabled }]
    }, [_c("input", {
      directives: [{
        name: "model",
        rawName: "v-model",
        value: _vm.model,
        expression: "model"
      }],
      staticClass: "custom-control-input",
      attrs: { id: _vm.cbId, type: "radio", disabled: _vm.disabled },
      domProps: { value: _vm.name, checked: _vm._q(_vm.model, _vm.name) },
      on: {
        change: function change($event) {
          _vm.model = _vm.name;
        }
      }
    }), _vm._v(" "), _c("label", { staticClass: "custom-control-label", attrs: { for: _vm.cbId } }, [_vm._t("default")], 2)]);
  };
  var __vue_staticRenderFns__$b = [];
  __vue_render__$b._withStripped = true;

  /* style */
  var __vue_inject_styles__$b = undefined;
  /* scoped */
  var __vue_scope_id__$b = undefined;
  /* module identifier */
  var __vue_module_identifier__$b = undefined;
  /* functional template */
  var __vue_is_functional_template__$b = false;
  /* component normalizer */
  function __vue_normalize__$b(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Radio/Radio.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    return component;
  }
  /* style inject */
  function __vue_create_injector__$b() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$b.styles || (__vue_create_injector__$b.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aRadio = __vue_normalize__$b({ render: __vue_render__$b, staticRenderFns: __vue_staticRenderFns__$b }, __vue_inject_styles__$b, __vue_script__$b, __vue_scope_id__$b, __vue_is_functional_template__$b, __vue_module_identifier__$b, __vue_create_injector__$b, undefined);

  var components$b = {
    aRadio: aRadio
  };

  var VuePlugin$a = {
    install: function install(Vue) {
      registerComponents(Vue, components$b);
    }
  };

  vueUse(VuePlugin$a);

  function createCommonjsModule(fn, module) {
  	return module = { exports: {} }, fn(module, module.exports), module.exports;
  }

  var nouislider = createCommonjsModule(function (module, exports) {
  /*! nouislider - 11.1.0 - 2018-04-02 11:18:13 */

  (function (factory) {

      if ( typeof undefined === 'function' && undefined.amd ) {

          // AMD. Register as an anonymous module.
          undefined([], factory);

      } else {

          // Node/CommonJS
          module.exports = factory();

      }

  }(function( ){

  	var VERSION = '11.1.0';


  	function isValidFormatter ( entry ) {
  		return typeof entry === 'object' && typeof entry.to === 'function' && typeof entry.from === 'function';
  	}

  	function removeElement ( el ) {
  		el.parentElement.removeChild(el);
  	}

  	function isSet ( value ) {
  		return value !== null && value !== undefined;
  	}

  	// Bindable version
  	function preventDefault ( e ) {
  		e.preventDefault();
  	}

  	// Removes duplicates from an array.
  	function unique ( array ) {
  		return array.filter(function(a){
  			return !this[a] ? this[a] = true : false;
  		}, {});
  	}

  	// Round a value to the closest 'to'.
  	function closest ( value, to ) {
  		return Math.round(value / to) * to;
  	}

  	// Current position of an element relative to the document.
  	function offset ( elem, orientation ) {

  		var rect = elem.getBoundingClientRect();
  		var doc = elem.ownerDocument;
  		var docElem = doc.documentElement;
  		var pageOffset = getPageOffset(doc);

  		// getBoundingClientRect contains left scroll in Chrome on Android.
  		// I haven't found a feature detection that proves this. Worst case
  		// scenario on mis-match: the 'tap' feature on horizontal sliders breaks.
  		if ( /webkit.*Chrome.*Mobile/i.test(navigator.userAgent) ) {
  			pageOffset.x = 0;
  		}

  		return orientation ? (rect.top + pageOffset.y - docElem.clientTop) : (rect.left + pageOffset.x - docElem.clientLeft);
  	}

  	// Checks whether a value is numerical.
  	function isNumeric ( a ) {
  		return typeof a === 'number' && !isNaN( a ) && isFinite( a );
  	}

  	// Sets a class and removes it after [duration] ms.
  	function addClassFor ( element, className, duration ) {
  		if (duration > 0) {
  		addClass(element, className);
  			setTimeout(function(){
  				removeClass(element, className);
  			}, duration);
  		}
  	}

  	// Limits a value to 0 - 100
  	function limit ( a ) {
  		return Math.max(Math.min(a, 100), 0);
  	}

  	// Wraps a variable as an array, if it isn't one yet.
  	// Note that an input array is returned by reference!
  	function asArray ( a ) {
  		return Array.isArray(a) ? a : [a];
  	}

  	// Counts decimals
  	function countDecimals ( numStr ) {
  		numStr = String(numStr);
  		var pieces = numStr.split(".");
  		return pieces.length > 1 ? pieces[1].length : 0;
  	}

  	// http://youmightnotneedjquery.com/#add_class
  	function addClass ( el, className ) {
  		if ( el.classList ) {
  			el.classList.add(className);
  		} else {
  			el.className += ' ' + className;
  		}
  	}

  	// http://youmightnotneedjquery.com/#remove_class
  	function removeClass ( el, className ) {
  		if ( el.classList ) {
  			el.classList.remove(className);
  		} else {
  			el.className = el.className.replace(new RegExp('(^|\\b)' + className.split(' ').join('|') + '(\\b|$)', 'gi'), ' ');
  		}
  	}

  	// https://plainjs.com/javascript/attributes/adding-removing-and-testing-for-classes-9/
  	function hasClass ( el, className ) {
  		return el.classList ? el.classList.contains(className) : new RegExp('\\b' + className + '\\b').test(el.className);
  	}

  	// https://developer.mozilla.org/en-US/docs/Web/API/Window/scrollY#Notes
  	function getPageOffset ( doc ) {

  		var supportPageOffset = window.pageXOffset !== undefined;
  		var isCSS1Compat = ((doc.compatMode || "") === "CSS1Compat");
  		var x = supportPageOffset ? window.pageXOffset : isCSS1Compat ? doc.documentElement.scrollLeft : doc.body.scrollLeft;
  		var y = supportPageOffset ? window.pageYOffset : isCSS1Compat ? doc.documentElement.scrollTop : doc.body.scrollTop;

  		return {
  			x: x,
  			y: y
  		};
  	}

  	// we provide a function to compute constants instead
  	// of accessing window.* as soon as the module needs it
  	// so that we do not compute anything if not needed
  	function getActions ( ) {

  		// Determine the events to bind. IE11 implements pointerEvents without
  		// a prefix, which breaks compatibility with the IE10 implementation.
  		return window.navigator.pointerEnabled ? {
  			start: 'pointerdown',
  			move: 'pointermove',
  			end: 'pointerup'
  		} : window.navigator.msPointerEnabled ? {
  			start: 'MSPointerDown',
  			move: 'MSPointerMove',
  			end: 'MSPointerUp'
  		} : {
  			start: 'mousedown touchstart',
  			move: 'mousemove touchmove',
  			end: 'mouseup touchend'
  		};
  	}

  	// https://github.com/WICG/EventListenerOptions/blob/gh-pages/explainer.md
  	// Issue #785
  	function getSupportsPassive ( ) {

  		var supportsPassive = false;

  		try {

  			var opts = Object.defineProperty({}, 'passive', {
  				get: function() {
  					supportsPassive = true;
  				}
  			});

  			window.addEventListener('test', null, opts);

  		} catch (e) {}

  		return supportsPassive;
  	}

  	function getSupportsTouchActionNone ( ) {
  		return window.CSS && CSS.supports && CSS.supports('touch-action', 'none');
  	}


  // Value calculation

  	// Determine the size of a sub-range in relation to a full range.
  	function subRangeRatio ( pa, pb ) {
  		return (100 / (pb - pa));
  	}

  	// (percentage) How many percent is this value of this range?
  	function fromPercentage ( range, value ) {
  		return (value * 100) / ( range[1] - range[0] );
  	}

  	// (percentage) Where is this value on this range?
  	function toPercentage ( range, value ) {
  		return fromPercentage( range, range[0] < 0 ?
  			value + Math.abs(range[0]) :
  				value - range[0] );
  	}

  	// (value) How much is this percentage on this range?
  	function isPercentage ( range, value ) {
  		return ((value * ( range[1] - range[0] )) / 100) + range[0];
  	}


  // Range conversion

  	function getJ ( value, arr ) {

  		var j = 1;

  		while ( value >= arr[j] ){
  			j += 1;
  		}

  		return j;
  	}

  	// (percentage) Input a value, find where, on a scale of 0-100, it applies.
  	function toStepping ( xVal, xPct, value ) {

  		if ( value >= xVal.slice(-1)[0] ){
  			return 100;
  		}

  		var j = getJ( value, xVal );
  		var va = xVal[j-1];
  		var vb = xVal[j];
  		var pa = xPct[j-1];
  		var pb = xPct[j];

  		return pa + (toPercentage([va, vb], value) / subRangeRatio (pa, pb));
  	}

  	// (value) Input a percentage, find where it is on the specified range.
  	function fromStepping ( xVal, xPct, value ) {

  		// There is no range group that fits 100
  		if ( value >= 100 ){
  			return xVal.slice(-1)[0];
  		}

  		var j = getJ( value, xPct );
  		var va = xVal[j-1];
  		var vb = xVal[j];
  		var pa = xPct[j-1];
  		var pb = xPct[j];

  		return isPercentage([va, vb], (value - pa) * subRangeRatio (pa, pb));
  	}

  	// (percentage) Get the step that applies at a certain value.
  	function getStep ( xPct, xSteps, snap, value ) {

  		if ( value === 100 ) {
  			return value;
  		}

  		var j = getJ( value, xPct );
  		var a = xPct[j-1];
  		var b = xPct[j];

  		// If 'snap' is set, steps are used as fixed points on the slider.
  		if ( snap ) {

  			// Find the closest position, a or b.
  			if ((value - a) > ((b-a)/2)){
  				return b;
  			}

  			return a;
  		}

  		if ( !xSteps[j-1] ){
  			return value;
  		}

  		return xPct[j-1] + closest(
  			value - xPct[j-1],
  			xSteps[j-1]
  		);
  	}


  // Entry parsing

  	function handleEntryPoint ( index, value, that ) {

  		var percentage;

  		// Wrap numerical input in an array.
  		if ( typeof value === "number" ) {
  			value = [value];
  		}

  		// Reject any invalid input, by testing whether value is an array.
  		if ( !Array.isArray(value) ){
  			throw new Error("noUiSlider (" + VERSION + "): 'range' contains invalid value.");
  		}

  		// Covert min/max syntax to 0 and 100.
  		if ( index === 'min' ) {
  			percentage = 0;
  		} else if ( index === 'max' ) {
  			percentage = 100;
  		} else {
  			percentage = parseFloat( index );
  		}

  		// Check for correct input.
  		if ( !isNumeric( percentage ) || !isNumeric( value[0] ) ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'range' value isn't numeric.");
  		}

  		// Store values.
  		that.xPct.push( percentage );
  		that.xVal.push( value[0] );

  		// NaN will evaluate to false too, but to keep
  		// logging clear, set step explicitly. Make sure
  		// not to override the 'step' setting with false.
  		if ( !percentage ) {
  			if ( !isNaN( value[1] ) ) {
  				that.xSteps[0] = value[1];
  			}
  		} else {
  			that.xSteps.push( isNaN(value[1]) ? false : value[1] );
  		}

  		that.xHighestCompleteStep.push(0);
  	}

  	function handleStepPoint ( i, n, that ) {

  		// Ignore 'false' stepping.
  		if ( !n ) {
  			return true;
  		}

  		// Factor to range ratio
  		that.xSteps[i] = fromPercentage([that.xVal[i], that.xVal[i+1]], n) / subRangeRatio(that.xPct[i], that.xPct[i+1]);

  		var totalSteps = (that.xVal[i+1] - that.xVal[i]) / that.xNumSteps[i];
  		var highestStep = Math.ceil(Number(totalSteps.toFixed(3)) - 1);
  		var step = that.xVal[i] + (that.xNumSteps[i] * highestStep);

  		that.xHighestCompleteStep[i] = step;
  	}


  // Interface

  	function Spectrum ( entry, snap, singleStep ) {

  		this.xPct = [];
  		this.xVal = [];
  		this.xSteps = [ singleStep || false ];
  		this.xNumSteps = [ false ];
  		this.xHighestCompleteStep = [];

  		this.snap = snap;

  		var index;
  		var ordered = []; // [0, 'min'], [1, '50%'], [2, 'max']

  		// Map the object keys to an array.
  		for ( index in entry ) {
  			if ( entry.hasOwnProperty(index) ) {
  				ordered.push([entry[index], index]);
  			}
  		}

  		// Sort all entries by value (numeric sort).
  		if ( ordered.length && typeof ordered[0][0] === "object" ) {
  			ordered.sort(function(a, b) { return a[0][0] - b[0][0]; });
  		} else {
  			ordered.sort(function(a, b) { return a[0] - b[0]; });
  		}


  		// Convert all entries to subranges.
  		for ( index = 0; index < ordered.length; index++ ) {
  			handleEntryPoint(ordered[index][1], ordered[index][0], this);
  		}

  		// Store the actual step values.
  		// xSteps is sorted in the same order as xPct and xVal.
  		this.xNumSteps = this.xSteps.slice(0);

  		// Convert all numeric steps to the percentage of the subrange they represent.
  		for ( index = 0; index < this.xNumSteps.length; index++ ) {
  			handleStepPoint(index, this.xNumSteps[index], this);
  		}
  	}

  	Spectrum.prototype.getMargin = function ( value ) {

  		var step = this.xNumSteps[0];

  		if ( step && ((value / step) % 1) !== 0 ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'limit', 'margin' and 'padding' must be divisible by step.");
  		}

  		return this.xPct.length === 2 ? fromPercentage(this.xVal, value) : false;
  	};

  	Spectrum.prototype.toStepping = function ( value ) {

  		value = toStepping( this.xVal, this.xPct, value );

  		return value;
  	};

  	Spectrum.prototype.fromStepping = function ( value ) {

  		return fromStepping( this.xVal, this.xPct, value );
  	};

  	Spectrum.prototype.getStep = function ( value ) {

  		value = getStep(this.xPct, this.xSteps, this.snap, value );

  		return value;
  	};

  	Spectrum.prototype.getNearbySteps = function ( value ) {

  		var j = getJ(value, this.xPct);

  		return {
  			stepBefore: { startValue: this.xVal[j-2], step: this.xNumSteps[j-2], highestStep: this.xHighestCompleteStep[j-2] },
  			thisStep: { startValue: this.xVal[j-1], step: this.xNumSteps[j-1], highestStep: this.xHighestCompleteStep[j-1] },
  			stepAfter: { startValue: this.xVal[j-0], step: this.xNumSteps[j-0], highestStep: this.xHighestCompleteStep[j-0] }
  		};
  	};

  	Spectrum.prototype.countStepDecimals = function () {
  		var stepDecimals = this.xNumSteps.map(countDecimals);
  		return Math.max.apply(null, stepDecimals);
  	};

  	// Outside testing
  	Spectrum.prototype.convert = function ( value ) {
  		return this.getStep(this.toStepping(value));
  	};

  /*	Every input option is tested and parsed. This'll prevent
  	endless validation in internal methods. These tests are
  	structured with an item for every option available. An
  	option can be marked as required by setting the 'r' flag.
  	The testing function is provided with three arguments:
  		- The provided value for the option;
  		- A reference to the options object;
  		- The name for the option;

  	The testing function returns false when an error is detected,
  	or true when everything is OK. It can also modify the option
  	object, to make sure all values can be correctly looped elsewhere. */

  	var defaultFormatter = { 'to': function( value ){
  		return value !== undefined && value.toFixed(2);
  	}, 'from': Number };

  	function validateFormat ( entry ) {

  		// Any object with a to and from method is supported.
  		if ( isValidFormatter(entry) ) {
  			return true;
  		}

  		throw new Error("noUiSlider (" + VERSION + "): 'format' requires 'to' and 'from' methods.");
  	}

  	function testStep ( parsed, entry ) {

  		if ( !isNumeric( entry ) ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'step' is not numeric.");
  		}

  		// The step option can still be used to set stepping
  		// for linear sliders. Overwritten if set in 'range'.
  		parsed.singleStep = entry;
  	}

  	function testRange ( parsed, entry ) {

  		// Filter incorrect input.
  		if ( typeof entry !== 'object' || Array.isArray(entry) ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'range' is not an object.");
  		}

  		// Catch missing start or end.
  		if ( entry.min === undefined || entry.max === undefined ) {
  			throw new Error("noUiSlider (" + VERSION + "): Missing 'min' or 'max' in 'range'.");
  		}

  		// Catch equal start or end.
  		if ( entry.min === entry.max ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'range' 'min' and 'max' cannot be equal.");
  		}

  		parsed.spectrum = new Spectrum(entry, parsed.snap, parsed.singleStep);
  	}

  	function testStart ( parsed, entry ) {

  		entry = asArray(entry);

  		// Validate input. Values aren't tested, as the public .val method
  		// will always provide a valid location.
  		if ( !Array.isArray( entry ) || !entry.length ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'start' option is incorrect.");
  		}

  		// Store the number of handles.
  		parsed.handles = entry.length;

  		// When the slider is initialized, the .val method will
  		// be called with the start options.
  		parsed.start = entry;
  	}

  	function testSnap ( parsed, entry ) {

  		// Enforce 100% stepping within subranges.
  		parsed.snap = entry;

  		if ( typeof entry !== 'boolean' ){
  			throw new Error("noUiSlider (" + VERSION + "): 'snap' option must be a boolean.");
  		}
  	}

  	function testAnimate ( parsed, entry ) {

  		// Enforce 100% stepping within subranges.
  		parsed.animate = entry;

  		if ( typeof entry !== 'boolean' ){
  			throw new Error("noUiSlider (" + VERSION + "): 'animate' option must be a boolean.");
  		}
  	}

  	function testAnimationDuration ( parsed, entry ) {

  		parsed.animationDuration = entry;

  		if ( typeof entry !== 'number' ){
  			throw new Error("noUiSlider (" + VERSION + "): 'animationDuration' option must be a number.");
  		}
  	}

  	function testConnect ( parsed, entry ) {

  		var connect = [false];
  		var i;

  		// Map legacy options
  		if ( entry === 'lower' ) {
  			entry = [true, false];
  		}

  		else if ( entry === 'upper' ) {
  			entry = [false, true];
  		}

  		// Handle boolean options
  		if ( entry === true || entry === false ) {

  			for ( i = 1; i < parsed.handles; i++ ) {
  				connect.push(entry);
  			}

  			connect.push(false);
  		}

  		// Reject invalid input
  		else if ( !Array.isArray( entry ) || !entry.length || entry.length !== parsed.handles + 1 ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'connect' option doesn't match handle count.");
  		}

  		else {
  			connect = entry;
  		}

  		parsed.connect = connect;
  	}

  	function testOrientation ( parsed, entry ) {

  		// Set orientation to an a numerical value for easy
  		// array selection.
  		switch ( entry ){
  			case 'horizontal':
  				parsed.ort = 0;
  				break;
  			case 'vertical':
  				parsed.ort = 1;
  				break;
  			default:
  				throw new Error("noUiSlider (" + VERSION + "): 'orientation' option is invalid.");
  		}
  	}

  	function testMargin ( parsed, entry ) {

  		if ( !isNumeric(entry) ){
  			throw new Error("noUiSlider (" + VERSION + "): 'margin' option must be numeric.");
  		}

  		// Issue #582
  		if ( entry === 0 ) {
  			return;
  		}

  		parsed.margin = parsed.spectrum.getMargin(entry);

  		if ( !parsed.margin ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'margin' option is only supported on linear sliders.");
  		}
  	}

  	function testLimit ( parsed, entry ) {

  		if ( !isNumeric(entry) ){
  			throw new Error("noUiSlider (" + VERSION + "): 'limit' option must be numeric.");
  		}

  		parsed.limit = parsed.spectrum.getMargin(entry);

  		if ( !parsed.limit || parsed.handles < 2 ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'limit' option is only supported on linear sliders with 2 or more handles.");
  		}
  	}

  	function testPadding ( parsed, entry ) {

  		if ( !isNumeric(entry) && !Array.isArray(entry) ){
  			throw new Error("noUiSlider (" + VERSION + "): 'padding' option must be numeric or array of exactly 2 numbers.");
  		}

  		if ( Array.isArray(entry) && !(entry.length === 2 || isNumeric(entry[0]) || isNumeric(entry[1])) ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'padding' option must be numeric or array of exactly 2 numbers.");
  		}

  		if ( entry === 0 ) {
  			return;
  		}

  		if ( !Array.isArray(entry) ) {
  			entry = [entry, entry];
  		}

  		// 'getMargin' returns false for invalid values.
  		parsed.padding = [parsed.spectrum.getMargin(entry[0]), parsed.spectrum.getMargin(entry[1])];

  		if ( parsed.padding[0] === false || parsed.padding[1] === false ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'padding' option is only supported on linear sliders.");
  		}

  		if ( parsed.padding[0] < 0 || parsed.padding[1] < 0 ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'padding' option must be a positive number(s).");
  		}

  		if ( parsed.padding[0] + parsed.padding[1] >= 100 ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'padding' option must not exceed 100% of the range.");
  		}
  	}

  	function testDirection ( parsed, entry ) {

  		// Set direction as a numerical value for easy parsing.
  		// Invert connection for RTL sliders, so that the proper
  		// handles get the connect/background classes.
  		switch ( entry ) {
  			case 'ltr':
  				parsed.dir = 0;
  				break;
  			case 'rtl':
  				parsed.dir = 1;
  				break;
  			default:
  				throw new Error("noUiSlider (" + VERSION + "): 'direction' option was not recognized.");
  		}
  	}

  	function testBehaviour ( parsed, entry ) {

  		// Make sure the input is a string.
  		if ( typeof entry !== 'string' ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'behaviour' must be a string containing options.");
  		}

  		// Check if the string contains any keywords.
  		// None are required.
  		var tap = entry.indexOf('tap') >= 0;
  		var drag = entry.indexOf('drag') >= 0;
  		var fixed = entry.indexOf('fixed') >= 0;
  		var snap = entry.indexOf('snap') >= 0;
  		var hover = entry.indexOf('hover') >= 0;

  		if ( fixed ) {

  			if ( parsed.handles !== 2 ) {
  				throw new Error("noUiSlider (" + VERSION + "): 'fixed' behaviour must be used with 2 handles");
  			}

  			// Use margin to enforce fixed state
  			testMargin(parsed, parsed.start[1] - parsed.start[0]);
  		}

  		parsed.events = {
  			tap: tap || snap,
  			drag: drag,
  			fixed: fixed,
  			snap: snap,
  			hover: hover
  		};
  	}

  	function testTooltips ( parsed, entry ) {

  		if ( entry === false ) {
  			return;
  		}

  		else if ( entry === true ) {

  			parsed.tooltips = [];

  			for ( var i = 0; i < parsed.handles; i++ ) {
  				parsed.tooltips.push(true);
  			}
  		}

  		else {

  			parsed.tooltips = asArray(entry);

  			if ( parsed.tooltips.length !== parsed.handles ) {
  				throw new Error("noUiSlider (" + VERSION + "): must pass a formatter for all handles.");
  			}

  			parsed.tooltips.forEach(function(formatter){
  				if ( typeof formatter !== 'boolean' && (typeof formatter !== 'object' || typeof formatter.to !== 'function') ) {
  					throw new Error("noUiSlider (" + VERSION + "): 'tooltips' must be passed a formatter or 'false'.");
  				}
  			});
  		}
  	}

  	function testAriaFormat ( parsed, entry ) {
  		parsed.ariaFormat = entry;
  		validateFormat(entry);
  	}

  	function testFormat ( parsed, entry ) {
  		parsed.format = entry;
  		validateFormat(entry);
  	}

  	function testCssPrefix ( parsed, entry ) {

  		if ( typeof entry !== 'string' && entry !== false ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'cssPrefix' must be a string or `false`.");
  		}

  		parsed.cssPrefix = entry;
  	}

  	function testCssClasses ( parsed, entry ) {

  		if ( typeof entry !== 'object' ) {
  			throw new Error("noUiSlider (" + VERSION + "): 'cssClasses' must be an object.");
  		}

  		if ( typeof parsed.cssPrefix === 'string' ) {
  			parsed.cssClasses = {};

  			for ( var key in entry ) {
  				if ( !entry.hasOwnProperty(key) ) { continue; }

  				parsed.cssClasses[key] = parsed.cssPrefix + entry[key];
  			}
  		} else {
  			parsed.cssClasses = entry;
  		}
  	}

  	// Test all developer settings and parse to assumption-safe values.
  	function testOptions ( options ) {

  		// To prove a fix for #537, freeze options here.
  		// If the object is modified, an error will be thrown.
  		// Object.freeze(options);

  		var parsed = {
  			margin: 0,
  			limit: 0,
  			padding: 0,
  			animate: true,
  			animationDuration: 300,
  			ariaFormat: defaultFormatter,
  			format: defaultFormatter
  		};

  		// Tests are executed in the order they are presented here.
  		var tests = {
  			'step': { r: false, t: testStep },
  			'start': { r: true, t: testStart },
  			'connect': { r: true, t: testConnect },
  			'direction': { r: true, t: testDirection },
  			'snap': { r: false, t: testSnap },
  			'animate': { r: false, t: testAnimate },
  			'animationDuration': { r: false, t: testAnimationDuration },
  			'range': { r: true, t: testRange },
  			'orientation': { r: false, t: testOrientation },
  			'margin': { r: false, t: testMargin },
  			'limit': { r: false, t: testLimit },
  			'padding': { r: false, t: testPadding },
  			'behaviour': { r: true, t: testBehaviour },
  			'ariaFormat': { r: false, t: testAriaFormat },
  			'format': { r: false, t: testFormat },
  			'tooltips': { r: false, t: testTooltips },
  			'cssPrefix': { r: true, t: testCssPrefix },
  			'cssClasses': { r: true, t: testCssClasses }
  		};

  		var defaults = {
  			'connect': false,
  			'direction': 'ltr',
  			'behaviour': 'tap',
  			'orientation': 'horizontal',
  			'cssPrefix' : 'noUi-',
  			'cssClasses': {
  				target: 'target',
  				base: 'base',
  				origin: 'origin',
  				handle: 'handle',
  				handleLower: 'handle-lower',
  				handleUpper: 'handle-upper',
  				horizontal: 'horizontal',
  				vertical: 'vertical',
  				background: 'background',
  				connect: 'connect',
  				connects: 'connects',
  				ltr: 'ltr',
  				rtl: 'rtl',
  				draggable: 'draggable',
  				drag: 'state-drag',
  				tap: 'state-tap',
  				active: 'active',
  				tooltip: 'tooltip',
  				pips: 'pips',
  				pipsHorizontal: 'pips-horizontal',
  				pipsVertical: 'pips-vertical',
  				marker: 'marker',
  				markerHorizontal: 'marker-horizontal',
  				markerVertical: 'marker-vertical',
  				markerNormal: 'marker-normal',
  				markerLarge: 'marker-large',
  				markerSub: 'marker-sub',
  				value: 'value',
  				valueHorizontal: 'value-horizontal',
  				valueVertical: 'value-vertical',
  				valueNormal: 'value-normal',
  				valueLarge: 'value-large',
  				valueSub: 'value-sub'
  			}
  		};

  		// AriaFormat defaults to regular format, if any.
  		if ( options.format && !options.ariaFormat ) {
  			options.ariaFormat = options.format;
  		}

  		// Run all options through a testing mechanism to ensure correct
  		// input. It should be noted that options might get modified to
  		// be handled properly. E.g. wrapping integers in arrays.
  		Object.keys(tests).forEach(function( name ){

  			// If the option isn't set, but it is required, throw an error.
  			if ( !isSet(options[name]) && defaults[name] === undefined ) {

  				if ( tests[name].r ) {
  					throw new Error("noUiSlider (" + VERSION + "): '" + name + "' is required.");
  				}

  				return true;
  			}

  			tests[name].t( parsed, !isSet(options[name]) ? defaults[name] : options[name] );
  		});

  		// Forward pips options
  		parsed.pips = options.pips;

  		// All recent browsers accept unprefixed transform.
  		// We need -ms- for IE9 and -webkit- for older Android;
  		// Assume use of -webkit- if unprefixed and -ms- are not supported.
  		// https://caniuse.com/#feat=transforms2d
  		var d = document.createElement("div");
  		var msPrefix = d.style.msTransform !== undefined;
  		var noPrefix = d.style.transform !== undefined;

  		parsed.transformRule = noPrefix ? 'transform' : (msPrefix ? 'msTransform' : 'webkitTransform');

  		// Pips don't move, so we can place them using left/top.
  		var styles = [['left', 'top'], ['right', 'bottom']];

  		parsed.style = styles[parsed.dir][parsed.ort];

  		return parsed;
  	}


  function scope ( target, options, originalOptions ){

  	var actions = getActions();
  	var supportsTouchActionNone = getSupportsTouchActionNone();
  	var supportsPassive = supportsTouchActionNone && getSupportsPassive();

  	// All variables local to 'scope' are prefixed with 'scope_'
  	var scope_Target = target;
  	var scope_Locations = [];
  	var scope_Base;
  	var scope_Handles;
  	var scope_HandleNumbers = [];
  	var scope_ActiveHandlesCount = 0;
  	var scope_Connects;
  	var scope_Spectrum = options.spectrum;
  	var scope_Values = [];
  	var scope_Events = {};
  	var scope_Self;
  	var scope_Pips;
  	var scope_Document = target.ownerDocument;
  	var scope_DocumentElement = scope_Document.documentElement;
  	var scope_Body = scope_Document.body;


  	// For horizontal sliders in standard ltr documents,
  	// make .noUi-origin overflow to the left so the document doesn't scroll.
  	var scope_DirOffset = (scope_Document.dir === 'rtl') || (options.ort === 1) ? 0 : 100;

  /*! In this file: Construction of DOM elements; */

  	// Creates a node, adds it to target, returns the new node.
  	function addNodeTo ( addTarget, className ) {

  		var div = scope_Document.createElement('div');

  		if ( className ) {
  			addClass(div, className);
  		}

  		addTarget.appendChild(div);

  		return div;
  	}

  	// Append a origin to the base
  	function addOrigin ( base, handleNumber ) {

  		var origin = addNodeTo(base, options.cssClasses.origin);
  		var handle = addNodeTo(origin, options.cssClasses.handle);

  		handle.setAttribute('data-handle', handleNumber);

  		// https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/tabindex
  		// 0 = focusable and reachable
  		handle.setAttribute('tabindex', '0');
  		handle.setAttribute('role', 'slider');
  		handle.setAttribute('aria-orientation', options.ort ? 'vertical' : 'horizontal');

  		if ( handleNumber === 0 ) {
  			addClass(handle, options.cssClasses.handleLower);
  		}

  		else if ( handleNumber === options.handles - 1 ) {
  			addClass(handle, options.cssClasses.handleUpper);
  		}

  		return origin;
  	}

  	// Insert nodes for connect elements
  	function addConnect ( base, add ) {

  		if ( !add ) {
  			return false;
  		}

  		return addNodeTo(base, options.cssClasses.connect);
  	}

  	// Add handles to the slider base.
  	function addElements ( connectOptions, base ) {

  		var connectBase = addNodeTo(base, options.cssClasses.connects);

  		scope_Handles = [];
  		scope_Connects = [];

  		scope_Connects.push(addConnect(connectBase, connectOptions[0]));

  		// [::::O====O====O====]
  		// connectOptions = [0, 1, 1, 1]

  		for ( var i = 0; i < options.handles; i++ ) {
  			// Keep a list of all added handles.
  			scope_Handles.push(addOrigin(base, i));
  			scope_HandleNumbers[i] = i;
  			scope_Connects.push(addConnect(connectBase, connectOptions[i + 1]));
  		}
  	}

  	// Initialize a single slider.
  	function addSlider ( addTarget ) {

  		// Apply classes and data to the target.
  		addClass(addTarget, options.cssClasses.target);

  		if ( options.dir === 0 ) {
  			addClass(addTarget, options.cssClasses.ltr);
  		} else {
  			addClass(addTarget, options.cssClasses.rtl);
  		}

  		if ( options.ort === 0 ) {
  			addClass(addTarget, options.cssClasses.horizontal);
  		} else {
  			addClass(addTarget, options.cssClasses.vertical);
  		}

  		scope_Base = addNodeTo(addTarget, options.cssClasses.base);
  	}


  	function addTooltip ( handle, handleNumber ) {

  		if ( !options.tooltips[handleNumber] ) {
  			return false;
  		}

  		return addNodeTo(handle.firstChild, options.cssClasses.tooltip);
  	}

  	// The tooltips option is a shorthand for using the 'update' event.
  	function tooltips ( ) {

  		// Tooltips are added with options.tooltips in original order.
  		var tips = scope_Handles.map(addTooltip);

  		bindEvent('update', function(values, handleNumber, unencoded) {

  			if ( !tips[handleNumber] ) {
  				return;
  			}

  			var formattedValue = values[handleNumber];

  			if ( options.tooltips[handleNumber] !== true ) {
  				formattedValue = options.tooltips[handleNumber].to(unencoded[handleNumber]);
  			}

  			tips[handleNumber].innerHTML = formattedValue;
  		});
  	}


  	function aria ( ) {

  		bindEvent('update', function ( values, handleNumber, unencoded, tap, positions ) {

  			// Update Aria Values for all handles, as a change in one changes min and max values for the next.
  			scope_HandleNumbers.forEach(function( index ){

  				var handle = scope_Handles[index];

  				var min = checkHandlePosition(scope_Locations, index, 0, true, true, true);
  				var max = checkHandlePosition(scope_Locations, index, 100, true, true, true);

  				var now = positions[index];
  				var text = options.ariaFormat.to(unencoded[index]);

  				handle.children[0].setAttribute('aria-valuemin', min.toFixed(1));
  				handle.children[0].setAttribute('aria-valuemax', max.toFixed(1));
  				handle.children[0].setAttribute('aria-valuenow', now.toFixed(1));
  				handle.children[0].setAttribute('aria-valuetext', text);
  			});
  		});
  	}


  	function getGroup ( mode, values, stepped ) {

  		// Use the range.
  		if ( mode === 'range' || mode === 'steps' ) {
  			return scope_Spectrum.xVal;
  		}

  		if ( mode === 'count' ) {

  			if ( values < 2 ) {
  				throw new Error("noUiSlider (" + VERSION + "): 'values' (>= 2) required for mode 'count'.");
  			}

  			// Divide 0 - 100 in 'count' parts.
  			var interval = values - 1;
  			var spread = ( 100 / interval );

  			values = [];

  			// List these parts and have them handled as 'positions'.
  			while ( interval-- ) {
  				values[ interval ] = ( interval * spread );
  			}

  			values.push(100);

  			mode = 'positions';
  		}

  		if ( mode === 'positions' ) {

  			// Map all percentages to on-range values.
  			return values.map(function( value ){
  				return scope_Spectrum.fromStepping( stepped ? scope_Spectrum.getStep( value ) : value );
  			});
  		}

  		if ( mode === 'values' ) {

  			// If the value must be stepped, it needs to be converted to a percentage first.
  			if ( stepped ) {

  				return values.map(function( value ){

  					// Convert to percentage, apply step, return to value.
  					return scope_Spectrum.fromStepping( scope_Spectrum.getStep( scope_Spectrum.toStepping( value ) ) );
  				});

  			}

  			// Otherwise, we can simply use the values.
  			return values;
  		}
  	}

  	function generateSpread ( density, mode, group ) {

  		function safeIncrement(value, increment) {
  			// Avoid floating point variance by dropping the smallest decimal places.
  			return (value + increment).toFixed(7) / 1;
  		}

  		var indexes = {};
  		var firstInRange = scope_Spectrum.xVal[0];
  		var lastInRange = scope_Spectrum.xVal[scope_Spectrum.xVal.length-1];
  		var ignoreFirst = false;
  		var ignoreLast = false;
  		var prevPct = 0;

  		// Create a copy of the group, sort it and filter away all duplicates.
  		group = unique(group.slice().sort(function(a, b){ return a - b; }));

  		// Make sure the range starts with the first element.
  		if ( group[0] !== firstInRange ) {
  			group.unshift(firstInRange);
  			ignoreFirst = true;
  		}

  		// Likewise for the last one.
  		if ( group[group.length - 1] !== lastInRange ) {
  			group.push(lastInRange);
  			ignoreLast = true;
  		}

  		group.forEach(function ( current, index ) {

  			// Get the current step and the lower + upper positions.
  			var step;
  			var i;
  			var q;
  			var low = current;
  			var high = group[index+1];
  			var newPct;
  			var pctDifference;
  			var pctPos;
  			var type;
  			var steps;
  			var realSteps;
  			var stepsize;

  			// When using 'steps' mode, use the provided steps.
  			// Otherwise, we'll step on to the next subrange.
  			if ( mode === 'steps' ) {
  				step = scope_Spectrum.xNumSteps[ index ];
  			}

  			// Default to a 'full' step.
  			if ( !step ) {
  				step = high-low;
  			}

  			// Low can be 0, so test for false. If high is undefined,
  			// we are at the last subrange. Index 0 is already handled.
  			if ( low === false || high === undefined ) {
  				return;
  			}

  			// Make sure step isn't 0, which would cause an infinite loop (#654)
  			step = Math.max(step, 0.0000001);

  			// Find all steps in the subrange.
  			for ( i = low; i <= high; i = safeIncrement(i, step) ) {

  				// Get the percentage value for the current step,
  				// calculate the size for the subrange.
  				newPct = scope_Spectrum.toStepping( i );
  				pctDifference = newPct - prevPct;

  				steps = pctDifference / density;
  				realSteps = Math.round(steps);

  				// This ratio represents the amount of percentage-space a point indicates.
  				// For a density 1 the points/percentage = 1. For density 2, that percentage needs to be re-devided.
  				// Round the percentage offset to an even number, then divide by two
  				// to spread the offset on both sides of the range.
  				stepsize = pctDifference/realSteps;

  				// Divide all points evenly, adding the correct number to this subrange.
  				// Run up to <= so that 100% gets a point, event if ignoreLast is set.
  				for ( q = 1; q <= realSteps; q += 1 ) {

  					// The ratio between the rounded value and the actual size might be ~1% off.
  					// Correct the percentage offset by the number of points
  					// per subrange. density = 1 will result in 100 points on the
  					// full range, 2 for 50, 4 for 25, etc.
  					pctPos = prevPct + ( q * stepsize );
  					indexes[pctPos.toFixed(5)] = ['x', 0];
  				}

  				// Determine the point type.
  				type = (group.indexOf(i) > -1) ? 1 : ( mode === 'steps' ? 2 : 0 );

  				// Enforce the 'ignoreFirst' option by overwriting the type for 0.
  				if ( !index && ignoreFirst ) {
  					type = 0;
  				}

  				if ( !(i === high && ignoreLast)) {
  					// Mark the 'type' of this point. 0 = plain, 1 = real value, 2 = step value.
  					indexes[newPct.toFixed(5)] = [i, type];
  				}

  				// Update the percentage count.
  				prevPct = newPct;
  			}
  		});

  		return indexes;
  	}

  	function addMarking ( spread, filterFunc, formatter ) {

  		var element = scope_Document.createElement('div');

  		var valueSizeClasses = [
  			options.cssClasses.valueNormal,
  			options.cssClasses.valueLarge,
  			options.cssClasses.valueSub
  		];
  		var markerSizeClasses = [
  			options.cssClasses.markerNormal,
  			options.cssClasses.markerLarge,
  			options.cssClasses.markerSub
  		];
  		var valueOrientationClasses = [
  			options.cssClasses.valueHorizontal,
  			options.cssClasses.valueVertical
  		];
  		var markerOrientationClasses = [
  			options.cssClasses.markerHorizontal,
  			options.cssClasses.markerVertical
  		];

  		addClass(element, options.cssClasses.pips);
  		addClass(element, options.ort === 0 ? options.cssClasses.pipsHorizontal : options.cssClasses.pipsVertical);

  		function getClasses( type, source ){
  			var a = source === options.cssClasses.value;
  			var orientationClasses = a ? valueOrientationClasses : markerOrientationClasses;
  			var sizeClasses = a ? valueSizeClasses : markerSizeClasses;

  			return source + ' ' + orientationClasses[options.ort] + ' ' + sizeClasses[type];
  		}

  		function addSpread ( offset, values ){

  			// Apply the filter function, if it is set.
  			values[1] = (values[1] && filterFunc) ? filterFunc(values[0], values[1]) : values[1];

  			// Add a marker for every point
  			var node = addNodeTo(element, false);
  				node.className = getClasses(values[1], options.cssClasses.marker);
  				node.style[options.style] = offset + '%';

  			// Values are only appended for points marked '1' or '2'.
  			if ( values[1] ) {
  				node = addNodeTo(element, false);
  				node.className = getClasses(values[1], options.cssClasses.value);
  				node.setAttribute('data-value', values[0]);
  				node.style[options.style] = offset + '%';
  				node.innerText = formatter.to(values[0]);
  			}
  		}

  		// Append all points.
  		Object.keys(spread).forEach(function(a){
  			addSpread(a, spread[a]);
  		});

  		return element;
  	}

  	function removePips ( ) {
  		if ( scope_Pips ) {
  			removeElement(scope_Pips);
  			scope_Pips = null;
  		}
  	}

  	function pips ( grid ) {

  		// Fix #669
  		removePips();

  		var mode = grid.mode;
  		var density = grid.density || 1;
  		var filter = grid.filter || false;
  		var values = grid.values || false;
  		var stepped = grid.stepped || false;
  		var group = getGroup( mode, values, stepped );
  		var spread = generateSpread( density, mode, group );
  		var format = grid.format || {
  			to: Math.round
  		};

  		scope_Pips = scope_Target.appendChild(addMarking(
  			spread,
  			filter,
  			format
  		));

  		return scope_Pips;
  	}

  /*! In this file: Browser events (not slider events like slide, change); */

  	// Shorthand for base dimensions.
  	function baseSize ( ) {
  		var rect = scope_Base.getBoundingClientRect();
  		var alt = 'offset' + ['Width', 'Height'][options.ort];
  		return options.ort === 0 ? (rect.width||scope_Base[alt]) : (rect.height||scope_Base[alt]);
  	}

  	// Handler for attaching events trough a proxy.
  	function attachEvent ( events, element, callback, data ) {

  		// This function can be used to 'filter' events to the slider.
  		// element is a node, not a nodeList

  		var method = function ( e ){

  			e = fixEvent(e, data.pageOffset, data.target || element);

  			// fixEvent returns false if this event has a different target
  			// when handling (multi-) touch events;
  			if ( !e ) {
  				return false;
  			}

  			// doNotReject is passed by all end events to make sure released touches
  			// are not rejected, leaving the slider "stuck" to the cursor;
  			if ( scope_Target.hasAttribute('disabled') && !data.doNotReject ) {
  				return false;
  			}

  			// Stop if an active 'tap' transition is taking place.
  			if ( hasClass(scope_Target, options.cssClasses.tap) && !data.doNotReject ) {
  				return false;
  			}

  			// Ignore right or middle clicks on start #454
  			if ( events === actions.start && e.buttons !== undefined && e.buttons > 1 ) {
  				return false;
  			}

  			// Ignore right or middle clicks on start #454
  			if ( data.hover && e.buttons ) {
  				return false;
  			}

  			// 'supportsPassive' is only true if a browser also supports touch-action: none in CSS.
  			// iOS safari does not, so it doesn't get to benefit from passive scrolling. iOS does support
  			// touch-action: manipulation, but that allows panning, which breaks
  			// sliders after zooming/on non-responsive pages.
  			// See: https://bugs.webkit.org/show_bug.cgi?id=133112
  			if ( !supportsPassive ) {
  				e.preventDefault();
  			}

  			e.calcPoint = e.points[ options.ort ];

  			// Call the event handler with the event [ and additional data ].
  			callback ( e, data );
  		};

  		var methods = [];

  		// Bind a closure on the target for every event type.
  		events.split(' ').forEach(function( eventName ){
  			element.addEventListener(eventName, method, supportsPassive ? { passive: true } : false);
  			methods.push([eventName, method]);
  		});

  		return methods;
  	}

  	// Provide a clean event with standardized offset values.
  	function fixEvent ( e, pageOffset, eventTarget ) {

  		// Filter the event to register the type, which can be
  		// touch, mouse or pointer. Offset changes need to be
  		// made on an event specific basis.
  		var touch = e.type.indexOf('touch') === 0;
  		var mouse = e.type.indexOf('mouse') === 0;
  		var pointer = e.type.indexOf('pointer') === 0;

  		var x;
  		var y;

  		// IE10 implemented pointer events with a prefix;
  		if ( e.type.indexOf('MSPointer') === 0 ) {
  			pointer = true;
  		}

  		// In the event that multitouch is activated, the only thing one handle should be concerned
  		// about is the touches that originated on top of it.
  		if ( touch ) {

  			// Returns true if a touch originated on the target.
  			var isTouchOnTarget = function (checkTouch) {
  				return checkTouch.target === eventTarget || eventTarget.contains(checkTouch.target);
  			};

  			// In the case of touchstart events, we need to make sure there is still no more than one
  			// touch on the target so we look amongst all touches.
  			if (e.type === 'touchstart') {

  				var targetTouches = Array.prototype.filter.call(e.touches, isTouchOnTarget);

  				// Do not support more than one touch per handle.
  				if ( targetTouches.length > 1 ) {
  					return false;
  				}

  				x = targetTouches[0].pageX;
  				y = targetTouches[0].pageY;

  			} else {

  				// In the other cases, find on changedTouches is enough.
  				var targetTouch = Array.prototype.find.call(e.changedTouches, isTouchOnTarget);

  				// Cancel if the target touch has not moved.
  				if ( !targetTouch ) {
  					return false;
  				}

  				x = targetTouch.pageX;
  				y = targetTouch.pageY;
  			}
  		}

  		pageOffset = pageOffset || getPageOffset(scope_Document);

  		if ( mouse || pointer ) {
  			x = e.clientX + pageOffset.x;
  			y = e.clientY + pageOffset.y;
  		}

  		e.pageOffset = pageOffset;
  		e.points = [x, y];
  		e.cursor = mouse || pointer; // Fix #435

  		return e;
  	}

  	// Translate a coordinate in the document to a percentage on the slider
  	function calcPointToPercentage ( calcPoint ) {
  		var location = calcPoint - offset(scope_Base, options.ort);
  		var proposal = ( location * 100 ) / baseSize();

  		// Clamp proposal between 0% and 100%
  		// Out-of-bound coordinates may occur when .noUi-base pseudo-elements
  		// are used (e.g. contained handles feature)
  		proposal = limit(proposal);

  		return options.dir ? 100 - proposal : proposal;
  	}

  	// Find handle closest to a certain percentage on the slider
  	function getClosestHandle ( proposal ) {

  		var closest = 100;
  		var handleNumber = false;

  		scope_Handles.forEach(function(handle, index){

  			// Disabled handles are ignored
  			if ( handle.hasAttribute('disabled') ) {
  				return;
  			}

  			var pos = Math.abs(scope_Locations[index] - proposal);

  			if ( pos < closest || (pos === 100 && closest === 100) ) {
  				handleNumber = index;
  				closest = pos;
  			}
  		});

  		return handleNumber;
  	}

  	// Fire 'end' when a mouse or pen leaves the document.
  	function documentLeave ( event, data ) {
  		if ( event.type === "mouseout" && event.target.nodeName === "HTML" && event.relatedTarget === null ){
  			eventEnd (event, data);
  		}
  	}

  	// Handle movement on document for handle and range drag.
  	function eventMove ( event, data ) {

  		// Fix #498
  		// Check value of .buttons in 'start' to work around a bug in IE10 mobile (data.buttonsProperty).
  		// https://connect.microsoft.com/IE/feedback/details/927005/mobile-ie10-windows-phone-buttons-property-of-pointermove-event-always-zero
  		// IE9 has .buttons and .which zero on mousemove.
  		// Firefox breaks the spec MDN defines.
  		if ( navigator.appVersion.indexOf("MSIE 9") === -1 && event.buttons === 0 && data.buttonsProperty !== 0 ) {
  			return eventEnd(event, data);
  		}

  		// Check if we are moving up or down
  		var movement = (options.dir ? -1 : 1) * (event.calcPoint - data.startCalcPoint);

  		// Convert the movement into a percentage of the slider width/height
  		var proposal = (movement * 100) / data.baseSize;

  		moveHandles(movement > 0, proposal, data.locations, data.handleNumbers);
  	}

  	// Unbind move events on document, call callbacks.
  	function eventEnd ( event, data ) {

  		// The handle is no longer active, so remove the class.
  		if ( data.handle ) {
  			removeClass(data.handle, options.cssClasses.active);
  			scope_ActiveHandlesCount -= 1;
  		}

  		// Unbind the move and end events, which are added on 'start'.
  		data.listeners.forEach(function( c ) {
  			scope_DocumentElement.removeEventListener(c[0], c[1]);
  		});

  		if ( scope_ActiveHandlesCount === 0 ) {
  			// Remove dragging class.
  			removeClass(scope_Target, options.cssClasses.drag);
  			setZindex();

  			// Remove cursor styles and text-selection events bound to the body.
  			if ( event.cursor ) {
  				scope_Body.style.cursor = '';
  				scope_Body.removeEventListener('selectstart', preventDefault);
  			}
  		}

  		data.handleNumbers.forEach(function(handleNumber){
  			fireEvent('change', handleNumber);
  			fireEvent('set', handleNumber);
  			fireEvent('end', handleNumber);
  		});
  	}

  	// Bind move events on document.
  	function eventStart ( event, data ) {

  		var handle;
  		if ( data.handleNumbers.length === 1 ) {

  			var handleOrigin = scope_Handles[data.handleNumbers[0]];

  			// Ignore 'disabled' handles
  			if ( handleOrigin.hasAttribute('disabled') ) {
  				return false;
  			}

  			handle = handleOrigin.children[0];
  			scope_ActiveHandlesCount += 1;

  			// Mark the handle as 'active' so it can be styled.
  			addClass(handle, options.cssClasses.active);
  		}

  		// A drag should never propagate up to the 'tap' event.
  		event.stopPropagation();

  		// Record the event listeners.
  		var listeners = [];

  		// Attach the move and end events.
  		var moveEvent = attachEvent(actions.move, scope_DocumentElement, eventMove, {
  			// The event target has changed so we need to propagate the original one so that we keep
  			// relying on it to extract target touches.
  			target: event.target,
  			handle: handle,
  			listeners: listeners,
  			startCalcPoint: event.calcPoint,
  			baseSize: baseSize(),
  			pageOffset: event.pageOffset,
  			handleNumbers: data.handleNumbers,
  			buttonsProperty: event.buttons,
  			locations: scope_Locations.slice()
  		});

  		var endEvent = attachEvent(actions.end, scope_DocumentElement, eventEnd, {
  			target: event.target,
  			handle: handle,
  			listeners: listeners,
  			doNotReject: true,
  			handleNumbers: data.handleNumbers
  		});

  		var outEvent = attachEvent("mouseout", scope_DocumentElement, documentLeave, {
  			target: event.target,
  			handle: handle,
  			listeners: listeners,
  			doNotReject: true,
  			handleNumbers: data.handleNumbers
  		});

  		// We want to make sure we pushed the listeners in the listener list rather than creating
  		// a new one as it has already been passed to the event handlers.
  		listeners.push.apply(listeners, moveEvent.concat(endEvent, outEvent));

  		// Text selection isn't an issue on touch devices,
  		// so adding cursor styles can be skipped.
  		if ( event.cursor ) {

  			// Prevent the 'I' cursor and extend the range-drag cursor.
  			scope_Body.style.cursor = getComputedStyle(event.target).cursor;

  			// Mark the target with a dragging state.
  			if ( scope_Handles.length > 1 ) {
  				addClass(scope_Target, options.cssClasses.drag);
  			}

  			// Prevent text selection when dragging the handles.
  			// In noUiSlider <= 9.2.0, this was handled by calling preventDefault on mouse/touch start/move,
  			// which is scroll blocking. The selectstart event is supported by FireFox starting from version 52,
  			// meaning the only holdout is iOS Safari. This doesn't matter: text selection isn't triggered there.
  			// The 'cursor' flag is false.
  			// See: http://caniuse.com/#search=selectstart
  			scope_Body.addEventListener('selectstart', preventDefault, false);
  		}

  		data.handleNumbers.forEach(function(handleNumber){
  			fireEvent('start', handleNumber);
  		});
  	}

  	// Move closest handle to tapped location.
  	function eventTap ( event ) {

  		// The tap event shouldn't propagate up
  		event.stopPropagation();

  		var proposal = calcPointToPercentage(event.calcPoint);
  		var handleNumber = getClosestHandle(proposal);

  		// Tackle the case that all handles are 'disabled'.
  		if ( handleNumber === false ) {
  			return false;
  		}

  		// Flag the slider as it is now in a transitional state.
  		// Transition takes a configurable amount of ms (default 300). Re-enable the slider after that.
  		if ( !options.events.snap ) {
  			addClassFor(scope_Target, options.cssClasses.tap, options.animationDuration);
  		}

  		setHandle(handleNumber, proposal, true, true);

  		setZindex();

  		fireEvent('slide', handleNumber, true);
  		fireEvent('update', handleNumber, true);
  		fireEvent('change', handleNumber, true);
  		fireEvent('set', handleNumber, true);

  		if ( options.events.snap ) {
  			eventStart(event, { handleNumbers: [handleNumber] });
  		}
  	}

  	// Fires a 'hover' event for a hovered mouse/pen position.
  	function eventHover ( event ) {

  		var proposal = calcPointToPercentage(event.calcPoint);

  		var to = scope_Spectrum.getStep(proposal);
  		var value = scope_Spectrum.fromStepping(to);

  		Object.keys(scope_Events).forEach(function( targetEvent ) {
  			if ( 'hover' === targetEvent.split('.')[0] ) {
  				scope_Events[targetEvent].forEach(function( callback ) {
  					callback.call( scope_Self, value );
  				});
  			}
  		});
  	}

  	// Attach events to several slider parts.
  	function bindSliderEvents ( behaviour ) {

  		// Attach the standard drag event to the handles.
  		if ( !behaviour.fixed ) {

  			scope_Handles.forEach(function( handle, index ){

  				// These events are only bound to the visual handle
  				// element, not the 'real' origin element.
  				attachEvent ( actions.start, handle.children[0], eventStart, {
  					handleNumbers: [index]
  				});
  			});
  		}

  		// Attach the tap event to the slider base.
  		if ( behaviour.tap ) {
  			attachEvent (actions.start, scope_Base, eventTap, {});
  		}

  		// Fire hover events
  		if ( behaviour.hover ) {
  			attachEvent (actions.move, scope_Base, eventHover, { hover: true });
  		}

  		// Make the range draggable.
  		if ( behaviour.drag ){

  			scope_Connects.forEach(function( connect, index ){

  				if ( connect === false || index === 0 || index === scope_Connects.length - 1 ) {
  					return;
  				}

  				var handleBefore = scope_Handles[index - 1];
  				var handleAfter = scope_Handles[index];
  				var eventHolders = [connect];

  				addClass(connect, options.cssClasses.draggable);

  				// When the range is fixed, the entire range can
  				// be dragged by the handles. The handle in the first
  				// origin will propagate the start event upward,
  				// but it needs to be bound manually on the other.
  				if ( behaviour.fixed ) {
  					eventHolders.push(handleBefore.children[0]);
  					eventHolders.push(handleAfter.children[0]);
  				}

  				eventHolders.forEach(function( eventHolder ) {
  					attachEvent ( actions.start, eventHolder, eventStart, {
  						handles: [handleBefore, handleAfter],
  						handleNumbers: [index - 1, index]
  					});
  				});
  			});
  		}
  	}

  /*! In this file: Slider events (not browser events); */

  	// Attach an event to this slider, possibly including a namespace
  	function bindEvent ( namespacedEvent, callback ) {
  		scope_Events[namespacedEvent] = scope_Events[namespacedEvent] || [];
  		scope_Events[namespacedEvent].push(callback);

  		// If the event bound is 'update,' fire it immediately for all handles.
  		if ( namespacedEvent.split('.')[0] === 'update' ) {
  			scope_Handles.forEach(function(a, index){
  				fireEvent('update', index);
  			});
  		}
  	}

  	// Undo attachment of event
  	function removeEvent ( namespacedEvent ) {

  		var event = namespacedEvent && namespacedEvent.split('.')[0];
  		var namespace = event && namespacedEvent.substring(event.length);

  		Object.keys(scope_Events).forEach(function( bind ){

  			var tEvent = bind.split('.')[0];
  			var tNamespace = bind.substring(tEvent.length);

  			if ( (!event || event === tEvent) && (!namespace || namespace === tNamespace) ) {
  				delete scope_Events[bind];
  			}
  		});
  	}

  	// External event handling
  	function fireEvent ( eventName, handleNumber, tap ) {

  		Object.keys(scope_Events).forEach(function( targetEvent ) {

  			var eventType = targetEvent.split('.')[0];

  			if ( eventName === eventType ) {
  				scope_Events[targetEvent].forEach(function( callback ) {

  					callback.call(
  						// Use the slider public API as the scope ('this')
  						scope_Self,
  						// Return values as array, so arg_1[arg_2] is always valid.
  						scope_Values.map(options.format.to),
  						// Handle index, 0 or 1
  						handleNumber,
  						// Unformatted slider values
  						scope_Values.slice(),
  						// Event is fired by tap, true or false
  						tap || false,
  						// Left offset of the handle, in relation to the slider
  						scope_Locations.slice()
  					);
  				});
  			}
  		});
  	}

  /*! In this file: Mechanics for slider operation */

  	function toPct ( pct ) {
  		return pct + '%';
  	}

  	// Split out the handle positioning logic so the Move event can use it, too
  	function checkHandlePosition ( reference, handleNumber, to, lookBackward, lookForward, getValue ) {

  		// For sliders with multiple handles, limit movement to the other handle.
  		// Apply the margin option by adding it to the handle positions.
  		if ( scope_Handles.length > 1 ) {

  			if ( lookBackward && handleNumber > 0 ) {
  				to = Math.max(to, reference[handleNumber - 1] + options.margin);
  			}

  			if ( lookForward && handleNumber < scope_Handles.length - 1 ) {
  				to = Math.min(to, reference[handleNumber + 1] - options.margin);
  			}
  		}

  		// The limit option has the opposite effect, limiting handles to a
  		// maximum distance from another. Limit must be > 0, as otherwise
  		// handles would be unmoveable.
  		if ( scope_Handles.length > 1 && options.limit ) {

  			if ( lookBackward && handleNumber > 0 ) {
  				to = Math.min(to, reference[handleNumber - 1] + options.limit);
  			}

  			if ( lookForward && handleNumber < scope_Handles.length - 1 ) {
  				to = Math.max(to, reference[handleNumber + 1] - options.limit);
  			}
  		}

  		// The padding option keeps the handles a certain distance from the
  		// edges of the slider. Padding must be > 0.
  		if ( options.padding ) {

  			if ( handleNumber === 0 ) {
  				to = Math.max(to, options.padding[0]);
  			}

  			if ( handleNumber === scope_Handles.length - 1 ) {
  				to = Math.min(to, 100 - options.padding[1]);
  			}
  		}

  		to = scope_Spectrum.getStep(to);

  		// Limit percentage to the 0 - 100 range
  		to = limit(to);

  		// Return false if handle can't move
  		if ( to === reference[handleNumber] && !getValue ) {
  			return false;
  		}

  		return to;
  	}

  	// Uses slider orientation to create CSS rules. a = base value;
  	function inRuleOrder ( v, a ) {
  		var o = options.ort;
  		return (o?a:v) + ', ' + (o?v:a);
  	}

  	// Moves handle(s) by a percentage
  	// (bool, % to move, [% where handle started, ...], [index in scope_Handles, ...])
  	function moveHandles ( upward, proposal, locations, handleNumbers ) {

  		var proposals = locations.slice();

  		var b = [!upward, upward];
  		var f = [upward, !upward];

  		// Copy handleNumbers so we don't change the dataset
  		handleNumbers = handleNumbers.slice();

  		// Check to see which handle is 'leading'.
  		// If that one can't move the second can't either.
  		if ( upward ) {
  			handleNumbers.reverse();
  		}

  		// Step 1: get the maximum percentage that any of the handles can move
  		if ( handleNumbers.length > 1 ) {

  			handleNumbers.forEach(function(handleNumber, o) {

  				var to = checkHandlePosition(proposals, handleNumber, proposals[handleNumber] + proposal, b[o], f[o], false);

  				// Stop if one of the handles can't move.
  				if ( to === false ) {
  					proposal = 0;
  				} else {
  					proposal = to - proposals[handleNumber];
  					proposals[handleNumber] = to;
  				}
  			});
  		}

  		// If using one handle, check backward AND forward
  		else {
  			b = f = [true];
  		}

  		var state = false;

  		// Step 2: Try to set the handles with the found percentage
  		handleNumbers.forEach(function(handleNumber, o) {
  			state = setHandle(handleNumber, locations[handleNumber] + proposal, b[o], f[o]) || state;
  		});

  		// Step 3: If a handle moved, fire events
  		if ( state ) {
  			handleNumbers.forEach(function(handleNumber){
  				fireEvent('update', handleNumber);
  				fireEvent('slide', handleNumber);
  			});
  		}
  	}

  	// Takes a base value and an offset. This offset is used for the connect bar size.
  	// In the initial design for this feature, the origin element was 1% wide.
  	// Unfortunately, a rounding bug in Chrome makes it impossible to implement this feature
  	// in this manner: https://bugs.chromium.org/p/chromium/issues/detail?id=798223
  	function transformDirection ( a, b ) {
  		return options.dir ? 100 - a - b : a;
  	}

  	// Updates scope_Locations and scope_Values, updates visual state
  	function updateHandlePosition ( handleNumber, to ) {

  		// Update locations.
  		scope_Locations[handleNumber] = to;

  		// Convert the value to the slider stepping/range.
  		scope_Values[handleNumber] = scope_Spectrum.fromStepping(to);

  		var rule = 'translate(' + inRuleOrder(toPct(transformDirection(to, 0) - scope_DirOffset), '0') + ')';
  		scope_Handles[handleNumber].style[options.transformRule] = rule;

  		updateConnect(handleNumber);
  		updateConnect(handleNumber + 1);
  	}

  	// Handles before the slider middle are stacked later = higher,
  	// Handles after the middle later is lower
  	// [[7] [8] .......... | .......... [5] [4]
  	function setZindex ( ) {

  		scope_HandleNumbers.forEach(function(handleNumber){
  			var dir = (scope_Locations[handleNumber] > 50 ? -1 : 1);
  			var zIndex = 3 + (scope_Handles.length + (dir * handleNumber));
  			scope_Handles[handleNumber].style.zIndex = zIndex;
  		});
  	}

  	// Test suggested values and apply margin, step.
  	function setHandle ( handleNumber, to, lookBackward, lookForward ) {

  		to = checkHandlePosition(scope_Locations, handleNumber, to, lookBackward, lookForward, false);

  		if ( to === false ) {
  			return false;
  		}

  		updateHandlePosition(handleNumber, to);

  		return true;
  	}

  	// Updates style attribute for connect nodes
  	function updateConnect ( index ) {

  		// Skip connects set to false
  		if ( !scope_Connects[index] ) {
  			return;
  		}

  		var l = 0;
  		var h = 100;

  		if ( index !== 0 ) {
  			l = scope_Locations[index - 1];
  		}

  		if ( index !== scope_Connects.length - 1 ) {
  			h = scope_Locations[index];
  		}

  		// We use two rules:
  		// 'translate' to change the left/top offset;
  		// 'scale' to change the width of the element;
  		// As the element has a width of 100%, a translation of 100% is equal to 100% of the parent (.noUi-base)
  		var connectWidth = h - l;
  		var translateRule = 'translate(' + inRuleOrder(toPct(transformDirection(l, connectWidth)), '0') + ')';
  		var scaleRule = 'scale(' + inRuleOrder(connectWidth / 100, '1') + ')';

  		scope_Connects[index].style[options.transformRule] = translateRule + ' ' + scaleRule;
  	}

  /*! In this file: All methods eventually exposed in slider.noUiSlider... */

  	// Parses value passed to .set method. Returns current value if not parse-able.
  	function resolveToValue ( to, handleNumber ) {

  		// Setting with null indicates an 'ignore'.
  		// Inputting 'false' is invalid.
  		if ( to === null || to === false || to === undefined ) {
  			return scope_Locations[handleNumber];
  		}

  		// If a formatted number was passed, attempt to decode it.
  		if ( typeof to === 'number' ) {
  			to = String(to);
  		}

  		to = options.format.from(to);
  		to = scope_Spectrum.toStepping(to);

  		// If parsing the number failed, use the current value.
  		if ( to === false || isNaN(to) ) {
  			return scope_Locations[handleNumber];
  		}

  		return to;
  	}

  	// Set the slider value.
  	function valueSet ( input, fireSetEvent ) {

  		var values = asArray(input);
  		var isInit = scope_Locations[0] === undefined;

  		// Event fires by default
  		fireSetEvent = (fireSetEvent === undefined ? true : !!fireSetEvent);

  		// Animation is optional.
  		// Make sure the initial values were set before using animated placement.
  		if ( options.animate && !isInit ) {
  			addClassFor(scope_Target, options.cssClasses.tap, options.animationDuration);
  		}

  		// First pass, without lookAhead but with lookBackward. Values are set from left to right.
  		scope_HandleNumbers.forEach(function(handleNumber){
  			setHandle(handleNumber, resolveToValue(values[handleNumber], handleNumber), true, false);
  		});

  		// Second pass. Now that all base values are set, apply constraints
  		scope_HandleNumbers.forEach(function(handleNumber){
  			setHandle(handleNumber, scope_Locations[handleNumber], true, true);
  		});

  		setZindex();

  		scope_HandleNumbers.forEach(function(handleNumber){

  			fireEvent('update', handleNumber);

  			// Fire the event only for handles that received a new value, as per #579
  			if ( values[handleNumber] !== null && fireSetEvent ) {
  				fireEvent('set', handleNumber);
  			}
  		});
  	}

  	// Reset slider to initial values
  	function valueReset ( fireSetEvent ) {
  		valueSet(options.start, fireSetEvent);
  	}

  	// Get the slider value.
  	function valueGet ( ) {

  		var values = scope_Values.map(options.format.to);

  		// If only one handle is used, return a single value.
  		if ( values.length === 1 ){
  			return values[0];
  		}

  		return values;
  	}

  	// Removes classes from the root and empties it.
  	function destroy ( ) {

  		for ( var key in options.cssClasses ) {
  			if ( !options.cssClasses.hasOwnProperty(key) ) { continue; }
  			removeClass(scope_Target, options.cssClasses[key]);
  		}

  		while (scope_Target.firstChild) {
  			scope_Target.removeChild(scope_Target.firstChild);
  		}

  		delete scope_Target.noUiSlider;
  	}

  	// Get the current step size for the slider.
  	function getCurrentStep ( ) {

  		// Check all locations, map them to their stepping point.
  		// Get the step point, then find it in the input list.
  		return scope_Locations.map(function( location, index ){

  			var nearbySteps = scope_Spectrum.getNearbySteps( location );
  			var value = scope_Values[index];
  			var increment = nearbySteps.thisStep.step;
  			var decrement = null;

  			// If the next value in this step moves into the next step,
  			// the increment is the start of the next step - the current value
  			if ( increment !== false ) {
  				if ( value + increment > nearbySteps.stepAfter.startValue ) {
  					increment = nearbySteps.stepAfter.startValue - value;
  				}
  			}


  			// If the value is beyond the starting point
  			if ( value > nearbySteps.thisStep.startValue ) {
  				decrement = nearbySteps.thisStep.step;
  			}

  			else if ( nearbySteps.stepBefore.step === false ) {
  				decrement = false;
  			}

  			// If a handle is at the start of a step, it always steps back into the previous step first
  			else {
  				decrement = value - nearbySteps.stepBefore.highestStep;
  			}


  			// Now, if at the slider edges, there is not in/decrement
  			if ( location === 100 ) {
  				increment = null;
  			}

  			else if ( location === 0 ) {
  				decrement = null;
  			}

  			// As per #391, the comparison for the decrement step can have some rounding issues.
  			var stepDecimals = scope_Spectrum.countStepDecimals();

  			// Round per #391
  			if ( increment !== null && increment !== false ) {
  				increment = Number(increment.toFixed(stepDecimals));
  			}

  			if ( decrement !== null && decrement !== false ) {
  				decrement = Number(decrement.toFixed(stepDecimals));
  			}

  			return [decrement, increment];
  		});
  	}

  	// Updateable: margin, limit, padding, step, range, animate, snap
  	function updateOptions ( optionsToUpdate, fireSetEvent ) {

  		// Spectrum is created using the range, snap, direction and step options.
  		// 'snap' and 'step' can be updated.
  		// If 'snap' and 'step' are not passed, they should remain unchanged.
  		var v = valueGet();

  		var updateAble = ['margin', 'limit', 'padding', 'range', 'animate', 'snap', 'step', 'format'];

  		// Only change options that we're actually passed to update.
  		updateAble.forEach(function(name){
  			if ( optionsToUpdate[name] !== undefined ) {
  				originalOptions[name] = optionsToUpdate[name];
  			}
  		});

  		var newOptions = testOptions(originalOptions);

  		// Load new options into the slider state
  		updateAble.forEach(function(name){
  			if ( optionsToUpdate[name] !== undefined ) {
  				options[name] = newOptions[name];
  			}
  		});

  		scope_Spectrum = newOptions.spectrum;

  		// Limit, margin and padding depend on the spectrum but are stored outside of it. (#677)
  		options.margin = newOptions.margin;
  		options.limit = newOptions.limit;
  		options.padding = newOptions.padding;

  		// Update pips, removes existing.
  		if ( options.pips ) {
  			pips(options.pips);
  		}

  		// Invalidate the current positioning so valueSet forces an update.
  		scope_Locations = [];
  		valueSet(optionsToUpdate.start || v, fireSetEvent);
  	}

  /*! In this file: Calls to functions. All other scope_ files define functions only; */

  	// Create the base element, initialize HTML and set classes.
  	// Add handles and connect elements.
  	addSlider(scope_Target);
  	addElements(options.connect, scope_Base);

  	// Attach user events.
  	bindSliderEvents(options.events);

  	// Use the public value method to set the start values.
  	valueSet(options.start);

  	scope_Self = {
  		destroy: destroy,
  		steps: getCurrentStep,
  		on: bindEvent,
  		off: removeEvent,
  		get: valueGet,
  		set: valueSet,
  		reset: valueReset,
  		// Exposed for unit testing, don't use this in your application.
  		__moveHandles: function(a, b, c) { moveHandles(a, b, scope_Locations, c); },
  		options: originalOptions, // Issue #600, #678
  		updateOptions: updateOptions,
  		target: scope_Target, // Issue #597
  		removePips: removePips,
  		pips: pips // Issue #594
  	};

  	if ( options.pips ) {
  		pips(options.pips);
  	}

  	if ( options.tooltips ) {
  		tooltips();
  	}

  	aria();

  	return scope_Self;

  }


  	// Run the standard initializer
  	function initialize ( target, originalOptions ) {

  		if ( !target || !target.nodeName ) {
  			throw new Error("noUiSlider (" + VERSION + "): create requires a single element, got: " + target);
  		}

  		// Throw an error if the slider was already initialized.
  		if ( target.noUiSlider ) {
  			throw new Error("noUiSlider (" + VERSION + "): Slider was already initialized.");
  		}

  		// Test the options and create the slider environment;
  		var options = testOptions( originalOptions, target );
  		var api = scope( target, options, originalOptions );

  		target.noUiSlider = api;

  		return api;
  	}

  	// Use an object instead of a function for future expandability;
  	return {
  		version: VERSION,
  		create: initialize
  	};

  }));
  });

  //

  var script$c = {
    name: "a-slider",
    props: {
      value: {
        type: [String, Array, Number],
        description: "Slider value"
      },
      disabled: {
        type: Boolean,
        description: "Whether slider is disabled"
      },
      range: {
        type: Object,
        default: function _default() {
          return {
            min: 0,
            max: 100
          };
        },
        description: "Slider range (defaults to 0-100)"
      },
      type: {
        type: String,
        default: "",
        description: "Slider type (e.g primary, danger etc)"
      },
      options: {
        type: Object,
        default: function _default() {
          return {};
        },
        description: "noUiSlider options"
      }
    },
    computed: {
      connect: function connect() {
        return Array.isArray(this.value) || [true, false];
      }
    },
    data: function data() {
      return {
        slider: null
      };
    },

    methods: {
      createSlider: function createSlider() {
        var _this = this;

        nouislider.create(this.$refs.slider, _extends({
          start: this.value,
          connect: this.connect,
          range: this.range
        }, this.options));
        var slider = this.$refs.slider.noUiSlider;
        slider.on("slide", function () {
          var value = slider.get();
          if (value !== _this.value) {
            _this.$emit("input", value);
          }
        });
      }
    },
    mounted: function mounted() {
      this.createSlider();
    },

    watch: {
      value: function value(newValue, oldValue) {
        var slider = this.$refs.slider.noUiSlider;
        var sliderValue = slider.get();
        if (newValue !== oldValue && sliderValue !== newValue) {
          if (Array.isArray(sliderValue) && Array.isArray(newValue)) {
            if (oldValue.length === newValue.length && oldValue.every(function (v, i) {
              return v === newValue[i];
            })) {
              slider.set(newValue);
            }
          } else {
            slider.set(newValue);
          }
        }
      }
    }
  };

  /* script */
  var __vue_script__$c = script$c;

  /* template */
  var __vue_render__$c = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("div", { staticClass: "input-slider-container" }, [_c("div", {
      ref: "slider",
      staticClass: "input-slider",
      class: ["slider-" + _vm.type],
      attrs: { disabled: _vm.disabled }
    })]);
  };
  var __vue_staticRenderFns__$c = [];
  __vue_render__$c._withStripped = true;

  /* style */
  var __vue_inject_styles__$c = undefined;
  /* scoped */
  var __vue_scope_id__$c = undefined;
  /* module identifier */
  var __vue_module_identifier__$c = undefined;
  /* functional template */
  var __vue_is_functional_template__$c = false;
  /* component normalizer */
  function __vue_normalize__$c(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Slider/Slider.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    return component;
  }
  /* style inject */
  function __vue_create_injector__$c() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$c.styles || (__vue_create_injector__$c.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aSlider = __vue_normalize__$c({ render: __vue_render__$c, staticRenderFns: __vue_staticRenderFns__$c }, __vue_inject_styles__$c, __vue_script__$c, __vue_scope_id__$c, __vue_is_functional_template__$c, __vue_module_identifier__$c, __vue_create_injector__$c, undefined);

  var components$c = {
    aSlider: aSlider
  };

  var VuePlugin$b = {
    install: function install(Vue) {
      registerComponents(Vue, components$c);
    }
  };

  vueUse(VuePlugin$b);

  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$d = {
    name: "a-switch",
    inheritAttrs: false,
    props: {
      value: {
        type: Boolean,
        default: false,
        description: "Switch value"
      }
    },
    computed: {
      model: {
        get: function get() {
          return this.value;
        },
        set: function set(value) {
          this.$emit("input", value);
        }
      }
    }
  };

  /* script */
  var __vue_script__$d = script$d;

  /* template */
  var __vue_render__$d = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("label", { staticClass: "custom-toggle" }, [_c("input", _vm._g(_vm._b({
      directives: [{
        name: "model",
        rawName: "v-model",
        value: _vm.model,
        expression: "model"
      }],
      attrs: { type: "checkbox" },
      domProps: {
        checked: Array.isArray(_vm.model) ? _vm._i(_vm.model, null) > -1 : _vm.model
      },
      on: {
        change: function change($event) {
          var $$a = _vm.model,
              $$el = $event.target,
              $$c = $$el.checked ? true : false;
          if (Array.isArray($$a)) {
            var $$v = null,
                $$i = _vm._i($$a, $$v);
            if ($$el.checked) {
              $$i < 0 && (_vm.model = $$a.concat([$$v]));
            } else {
              $$i > -1 && (_vm.model = $$a.slice(0, $$i).concat($$a.slice($$i + 1)));
            }
          } else {
            _vm.model = $$c;
          }
        }
      }
    }, "input", _vm.$attrs, false), _vm.$listeners)), _vm._v(" "), _c("span", { staticClass: "custom-toggle-slider rounded-circle" })]);
  };
  var __vue_staticRenderFns__$d = [];
  __vue_render__$d._withStripped = true;

  /* style */
  var __vue_inject_styles__$d = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-5bf845c8_0", { source: "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", map: { "version": 3, "sources": [], "names": [], "mappings": "", "file": "Switch.vue" }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$d = undefined;
  /* module identifier */
  var __vue_module_identifier__$d = undefined;
  /* functional template */
  var __vue_is_functional_template__$d = false;
  /* component normalizer */
  function __vue_normalize__$d(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Switch/Switch.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$d() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$d.styles || (__vue_create_injector__$d.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aSwitch = __vue_normalize__$d({ render: __vue_render__$d, staticRenderFns: __vue_staticRenderFns__$d }, __vue_inject_styles__$d, __vue_script__$d, __vue_scope_id__$d, __vue_is_functional_template__$d, __vue_module_identifier__$d, __vue_create_injector__$d, undefined);

  var components$d = {
    aSwitch: aSwitch
  };

  var VuePlugin$c = {
    install: function install(Vue) {
      registerComponents(Vue, components$d);
    }
  };

  vueUse(VuePlugin$c);

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$e = {
    name: "a-card",
    props: {
      type: {
        type: String,
        description: "Card type"
      },
      gradient: {
        type: String,
        description: "Card background gradient type (warning,danger etc)"
      },
      hover: {
        type: Boolean,
        description: "Whether card should move on hover"
      },
      shadow: {
        type: Boolean,
        description: "Whether card has shadow"
      },
      shadowSize: {
        type: String,
        description: "Card shadow size"
      },
      noBody: {
        type: Boolean,
        default: false,
        description: "Whether card should have wrapper body class"
      },
      bodyClasses: {
        type: [String, Object, Array],
        description: "Card body css classes"
      },
      headerClasses: {
        type: [String, Object, Array],
        description: "Card header css classes"
      },
      footerClasses: {
        type: [String, Object, Array],
        description: "Card footer css classes"
      }
    }
  };

  /* script */
  var __vue_script__$e = script$e;

  /* template */
  var __vue_render__$e = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("div", {
      staticClass: "card",
      class: [{ "card-lift--hover": _vm.hover }, { shadow: _vm.shadow }, (_obj = {}, _obj["shadow-" + _vm.shadowSize] = _vm.shadowSize, _obj), (_obj$1 = {}, _obj$1["bg-gradient-" + _vm.gradient] = _vm.gradient, _obj$1), (_obj$2 = {}, _obj$2["bg-" + _vm.type] = _vm.type, _obj$2)]
    }, [_vm.$slots.header ? _c("div", { staticClass: "card-header", class: _vm.headerClasses }, [_vm._t("header")], 2) : _vm._e(), _vm._v(" "), !_vm.noBody ? _c("div", { staticClass: "card-body", class: _vm.bodyClasses }, [_vm._t("default")], 2) : _vm._e(), _vm._v(" "), _vm.noBody ? _vm._t("default") : _vm._e(), _vm._v(" "), _vm.$slots.footer ? _c("div", { staticClass: "card-footer", class: _vm.footerClasses }, [_vm._t("footer")], 2) : _vm._e()], 2);
    var _obj;
    var _obj$1;
    var _obj$2;
  };
  var __vue_staticRenderFns__$e = [];
  __vue_render__$e._withStripped = true;

  /* style */
  var __vue_inject_styles__$e = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-4243eb78_0", { source: "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", map: { "version": 3, "sources": [], "names": [], "mappings": "", "file": "Card.vue" }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$e = undefined;
  /* module identifier */
  var __vue_module_identifier__$e = undefined;
  /* functional template */
  var __vue_is_functional_template__$e = false;
  /* component normalizer */
  function __vue_normalize__$e(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Card/Card.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$e() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$e.styles || (__vue_create_injector__$e.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aCard = __vue_normalize__$e({ render: __vue_render__$e, staticRenderFns: __vue_staticRenderFns__$e }, __vue_inject_styles__$e, __vue_script__$e, __vue_scope_id__$e, __vue_is_functional_template__$e, __vue_module_identifier__$e, __vue_create_injector__$e, undefined);

  var components$e = {
    aCard: aCard
  };

  var VuePlugin$d = {
    install: function install(Vue) {
      registerComponents(Vue, components$e);
    }
  };

  vueUse(VuePlugin$d);

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$f = {
    name: "a-close-button",
    props: {
      target: {
        type: [String, Number],
        description: "Close button target element"
      },
      expanded: {
        type: Boolean,
        description: "Whether button is expanded (aria-expanded attribute)"
      }
    },
    methods: {
      handleClick: function handleClick(evt) {
        this.$emit("click", evt);
      }
    }
  };

  /* script */
  var __vue_script__$f = script$f;

  /* template */
  var __vue_render__$f = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("button", {
      staticClass: "navbar-toggler",
      attrs: {
        type: "button",
        "data-toggle": "collapse",
        "data-target": "#" + _vm.target,
        "aria-controls": _vm.target,
        "aria-expanded": _vm.expanded,
        "aria-label": "Toggle navigation"
      },
      on: { click: _vm.handleClick }
    }, [_c("span"), _vm._v(" "), _c("span")]);
  };
  var __vue_staticRenderFns__$f = [];
  __vue_render__$f._withStripped = true;

  /* style */
  var __vue_inject_styles__$f = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-0f01e73f_0", { source: "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", map: { "version": 3, "sources": [], "names": [], "mappings": "", "file": "CloseButton.vue" }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$f = undefined;
  /* module identifier */
  var __vue_module_identifier__$f = undefined;
  /* functional template */
  var __vue_is_functional_template__$f = false;
  /* component normalizer */
  function __vue_normalize__$f(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/CloseButton/CloseButton.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$f() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$f.styles || (__vue_create_injector__$f.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aCloseButton = __vue_normalize__$f({ render: __vue_render__$f, staticRenderFns: __vue_staticRenderFns__$f }, __vue_inject_styles__$f, __vue_script__$f, __vue_scope_id__$f, __vue_is_functional_template__$f, __vue_module_identifier__$f, __vue_create_injector__$f, undefined);

  var components$f = {
    aCloseButton: aCloseButton
  };

  var VuePlugin$e = {
    install: function install(Vue) {
      registerComponents(Vue, components$f);
    }
  };

  vueUse(VuePlugin$e);

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$g = {
    name: "a-icon",
    props: {
      name: {
        type: String,
        default: "",
        description: "Icon name"
      },
      size: {
        type: String,
        default: "",
        description: "Icon size"
      },
      type: {
        type: String,
        default: "",
        description: "Icon type (primary, warning etc)"
      },
      gradient: {
        type: String,
        default: "",
        description: "Icon gradient type (primary, warning etc)"
      },
      color: {
        type: String,
        default: "",
        description: "Icon color (primary, warning etc)"
      },
      shadow: {
        type: Boolean,
        default: false,
        description: "Whether icon has shadow"
      },
      rounded: {
        type: Boolean,
        default: false,
        description: "Whether icon is rounded"
      }
    }
  };

  /* script */
  var __vue_script__$g = script$g;

  /* template */
  var __vue_render__$g = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("div", {
      staticClass: "icon icon-shape",
      class: [_vm.size && "icon-" + _vm.size, _vm.type && "icon-shape-" + _vm.type, _vm.gradient && "bg-gradient-" + _vm.gradient, _vm.shadow && "shadow", _vm.rounded && "rounded-circle", _vm.color && "text-" + _vm.color]
    }, [_vm._t("default", [_c("i", { class: _vm.name })])], 2);
  };
  var __vue_staticRenderFns__$g = [];
  __vue_render__$g._withStripped = true;

  /* style */
  var __vue_inject_styles__$g = undefined;
  /* scoped */
  var __vue_scope_id__$g = undefined;
  /* module identifier */
  var __vue_module_identifier__$g = undefined;
  /* functional template */
  var __vue_is_functional_template__$g = false;
  /* component normalizer */
  function __vue_normalize__$g(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Icon/Icon.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    return component;
  }
  /* style inject */
  function __vue_create_injector__$g() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$g.styles || (__vue_create_injector__$g.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aIcon = __vue_normalize__$g({ render: __vue_render__$g, staticRenderFns: __vue_staticRenderFns__$g }, __vue_inject_styles__$g, __vue_script__$g, __vue_scope_id__$g, __vue_is_functional_template__$g, __vue_module_identifier__$g, __vue_create_injector__$g, undefined);

  var components$g = {
    aIcon: aIcon
  };

  var VuePlugin$f = {
    install: function install(Vue) {
      registerComponents(Vue, components$g);
    }
  };

  vueUse(VuePlugin$f);

  //

  var script$h = {
    name: "a-modal",
    components: {
      SlideYUpTransition: SlideYUpTransition
    },
    props: {
      show: Boolean,
      showClose: {
        type: Boolean,
        default: true
      },
      type: {
        type: String,
        default: "",
        validator: function validator(value) {
          var acceptedValues = ["", "notice", "mini"];
          return acceptedValues.indexOf(value) !== -1;
        },

        description: 'Modal type (notice|mini|"") '
      },
      modalClasses: {
        type: [Object, String],
        description: "Modal dialog css classes"
      },
      modalContentClasses: {
        type: [Object, String],
        description: "Modal dialog content css classes"
      },
      gradient: {
        type: String,
        description: "Modal gradient type (danger, primary etc)"
      },
      headerClasses: {
        type: [Object, String],
        description: "Modal Header css classes"
      },
      bodyClasses: {
        type: [Object, String],
        description: "Modal Body css classes"
      },
      footerClasses: {
        type: [Object, String],
        description: "Modal Footer css classes"
      },
      animationDuration: {
        type: Number,
        default: 500,
        description: "Modal transition duration"
      }
    },
    methods: {
      closeModal: function closeModal() {
        this.$emit("update:show", false);
        this.$emit("close");
      }
    },
    watch: {
      show: function show(val) {
        var documentClasses = document.body.classList;
        if (val) {
          documentClasses.add("modal-open");
        } else {
          documentClasses.remove("modal-open");
        }
      }
    }
  };

  /* script */
  var __vue_script__$h = script$h;

  /* template */
  var __vue_render__$h = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("SlideYUpTransition", { attrs: { duration: _vm.animationDuration } }, [_c("div", {
      directives: [{
        name: "show",
        rawName: "v-show",
        value: _vm.show,
        expression: "show"
      }],
      staticClass: "modal fade",
      class: [{ "show d-block": _vm.show }, { "d-none": !_vm.show }, { "modal-mini": _vm.type === "mini" }],
      attrs: { tabindex: "-1", role: "dialog", "aria-hidden": !_vm.show },
      on: {
        click: function click($event) {
          if ($event.target !== $event.currentTarget) {
            return null;
          }
          return _vm.closeModal($event);
        }
      }
    }, [_c("div", {
      staticClass: "modal-dialog modal-dialog-centered",
      class: [{ "modal-notice": _vm.type === "notice" }, _vm.modalClasses]
    }, [_c("div", {
      staticClass: "modal-content",
      class: [_vm.gradient ? "bg-gradient-" + _vm.gradient : "", _vm.modalContentClasses]
    }, [_vm.$slots.header ? _c("div", {
      staticClass: "modal-header",
      class: [_vm.headerClasses]
    }, [_vm._t("header"), _vm._v(" "), _vm._t("close-button", [_vm.showClose ? _c("button", {
      staticClass: "close",
      attrs: {
        type: "button",
        "data-dismiss": "modal",
        "aria-label": "Close"
      },
      on: { click: _vm.closeModal }
    }, [_c("span", { attrs: { "aria-hidden": !_vm.show } }, [_vm._v("×")])]) : _vm._e()])], 2) : _vm._e(), _vm._v(" "), _c("div", { staticClass: "modal-body", class: _vm.bodyClasses }, [_vm._t("default")], 2), _vm._v(" "), _vm.$slots.footer ? _c("div", {
      staticClass: "modal-footer",
      class: _vm.footerClasses
    }, [_vm._t("footer")], 2) : _vm._e()])])])]);
  };
  var __vue_staticRenderFns__$h = [];
  __vue_render__$h._withStripped = true;

  /* style */
  var __vue_inject_styles__$h = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-37fa62d4_0", { source: "\n.modal.show {\n  background-color: rgba(0, 0, 0, 0.3);\n}\n", map: { "version": 3, "sources": ["/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Modal/Modal.vue"], "names": [], "mappings": ";AAiHA;EACA,qCAAA;CACA", "file": "Modal.vue", "sourcesContent": ["<template>\n  <SlideYUpTransition :duration=\"animationDuration\">\n    <div class=\"modal fade\"\n         @click.self=\"closeModal\"\n         v-bind:class=\"[{'show d-block': show}, {'d-none': !show}, {'modal-mini': type === 'mini'}]\"\n         v-show=\"show\"\n         tabindex=\"-1\"\n         role=\"dialog\"\n         :aria-hidden=\"!show\">\n\n      <div class=\"modal-dialog modal-dialog-centered\"\n           v-bind:class=\"[{'modal-notice': type === 'notice'}, modalClasses]\">\n        <div class=\"modal-content\" v-bind:class=\"[gradient ? `bg-gradient-${gradient}` : '',modalContentClasses]\">\n\n          <div class=\"modal-header\" v-bind:class=\"[headerClasses]\" v-if=\"$slots.header\">\n            <slot name=\"header\"></slot>\n            <slot name=\"close-button\">\n              <button type=\"button\"\n                      class=\"close\"\n                      v-if=\"showClose\"\n                      @click=\"closeModal\"\n                      data-dismiss=\"modal\"\n                      aria-label=\"Close\">\n                <span :aria-hidden=\"!show\">×</span>\n              </button>\n            </slot>\n          </div>\n\n          <div class=\"modal-body\" :class=\"bodyClasses\">\n            <slot></slot>\n          </div>\n\n          <div class=\"modal-footer\" :class=\"footerClasses\" v-if=\"$slots.footer\">\n            <slot name=\"footer\"></slot>\n          </div>\n        </div>\n      </div>\n\n    </div>\n  </SlideYUpTransition>\n</template>\n<script>\nimport { SlideYUpTransition } from \"vue2-transitions\";\n\nexport default {\n  name: \"a-modal\",\n  components: {\n    SlideYUpTransition\n  },\n  props: {\n    show: Boolean,\n    showClose: {\n      type: Boolean,\n      default: true\n    },\n    type: {\n      type: String,\n      default: \"\",\n      validator(value) {\n        let acceptedValues = [\"\", \"notice\", \"mini\"];\n        return acceptedValues.indexOf(value) !== -1;\n      },\n      description: 'Modal type (notice|mini|\"\") '\n    },\n    modalClasses: {\n      type: [Object, String],\n      description: \"Modal dialog css classes\"\n    },\n    modalContentClasses: {\n      type: [Object, String],\n      description: \"Modal dialog content css classes\"\n    },\n    gradient: {\n      type: String,\n      description: \"Modal gradient type (danger, primary etc)\"\n    },\n    headerClasses: {\n      type: [Object, String],\n      description: \"Modal Header css classes\"\n    },\n    bodyClasses: {\n      type: [Object, String],\n      description: \"Modal Body css classes\"\n    },\n    footerClasses: {\n      type: [Object, String],\n      description: \"Modal Footer css classes\"\n    },\n    animationDuration: {\n      type: Number,\n      default: 500,\n      description: \"Modal transition duration\"\n    }\n  },\n  methods: {\n    closeModal() {\n      this.$emit(\"update:show\", false);\n      this.$emit(\"close\");\n    }\n  },\n  watch: {\n    show(val) {\n      let documentClasses = document.body.classList;\n      if (val) {\n        documentClasses.add(\"modal-open\");\n      } else {\n        documentClasses.remove(\"modal-open\");\n      }\n    }\n  }\n};\n</script>\n<style>\n.modal.show {\n  background-color: rgba(0, 0, 0, 0.3);\n}\n</style>\n"] }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$h = undefined;
  /* module identifier */
  var __vue_module_identifier__$h = undefined;
  /* functional template */
  var __vue_is_functional_template__$h = false;
  /* component normalizer */
  function __vue_normalize__$h(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Modal/Modal.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$h() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$h.styles || (__vue_create_injector__$h.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aModal = __vue_normalize__$h({ render: __vue_render__$h, staticRenderFns: __vue_staticRenderFns__$h }, __vue_inject_styles__$h, __vue_script__$h, __vue_scope_id__$h, __vue_is_functional_template__$h, __vue_module_identifier__$h, __vue_create_injector__$h, undefined);

  var components$h = {
    aModal: aModal
  };

  var VuePlugin$g = {
    install: function install(Vue) {
      registerComponents(Vue, components$h);
    }
  };

  vueUse(VuePlugin$g);

  var components$i = {
    aNavbarToogleButton: aNavbarToggleButton
  };

  var VuePlugin$h = {
    install: function install(Vue) {
      registerComponents(Vue, components$i);
    }
  };

  vueUse(VuePlugin$h);

  //
  //
  //
  //
  //
  //
  //
  //

  var script$i = {
    name: "a-tab",
    props: {
      title: {
        type: String,
        default: "",
        description: "Tab pane title"
      },
      id: {
        type: String,
        default: null,
        description: "Tab pane id"
      }
    },
    inject: ["addTab", "removeTab"],
    data: function data() {
      return {
        active: false
      };
    },
    mounted: function mounted() {
      this.addTab(this);
    },
    destroyed: function destroyed() {
      if (this.$el && this.$el.parentNode) {
        this.$el.parentNode.removeChild(this.$el);
      }
      this.removeTab(this);
    }
  };

  /* script */
  var __vue_script__$i = script$i;

  /* template */
  var __vue_render__$i = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("div", {
      directives: [{
        name: "show",
        rawName: "v-show",
        value: _vm.active,
        expression: "active"
      }],
      staticClass: "tab-pane",
      class: { active: _vm.active },
      attrs: { id: _vm.id || _vm.title }
    }, [_vm._t("default")], 2);
  };
  var __vue_staticRenderFns__$i = [];
  __vue_render__$i._withStripped = true;

  /* style */
  var __vue_inject_styles__$i = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-04de959e_0", { source: "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", map: { "version": 3, "sources": [], "names": [], "mappings": "", "file": "Tab.vue" }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$i = undefined;
  /* module identifier */
  var __vue_module_identifier__$i = undefined;
  /* functional template */
  var __vue_is_functional_template__$i = false;
  /* component normalizer */
  function __vue_normalize__$i(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Tabs/Tab.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$i() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$i.styles || (__vue_create_injector__$i.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aTab = __vue_normalize__$i({ render: __vue_render__$i, staticRenderFns: __vue_staticRenderFns__$i }, __vue_inject_styles__$i, __vue_script__$i, __vue_scope_id__$i, __vue_is_functional_template__$i, __vue_module_identifier__$i, __vue_create_injector__$i, undefined);

  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$j = {
    name: "a-tab-pane",
    props: ["label", "id", "title"],
    inject: ["addTab", "removeTab"],
    data: function data() {
      return {
        active: false
      };
    },
    mounted: function mounted() {
      this.addTab(this);
    },
    destroyed: function destroyed() {
      if (this.$el && this.$el.parentNode) {
        this.$el.parentNode.removeChild(this.$el);
      }
      this.removeTab(this);
    }
  };

  /* script */
  var __vue_script__$j = script$j;

  /* template */
  var __vue_render__$j = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("div", {
      directives: [{
        name: "show",
        rawName: "v-show",
        value: _vm.active,
        expression: "active"
      }],
      staticClass: "tab-pane fade",
      class: { "active show": _vm.active },
      attrs: { id: _vm.id || _vm.label, "aria-expanded": _vm.active }
    }, [_vm._t("default")], 2);
  };
  var __vue_staticRenderFns__$j = [];
  __vue_render__$j._withStripped = true;

  /* style */
  var __vue_inject_styles__$j = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-38f107e0_0", { source: "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", map: { "version": 3, "sources": [], "names": [], "mappings": "", "file": "TabPane.vue" }, media: undefined });
  };
  /* scoped */
  var __vue_scope_id__$j = undefined;
  /* module identifier */
  var __vue_module_identifier__$j = undefined;
  /* functional template */
  var __vue_is_functional_template__$j = false;
  /* component normalizer */
  function __vue_normalize__$j(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Tabs/TabPane.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    {
      var hook = void 0;
      if (style) {
        hook = function hook(context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook !== undefined) {
        if (component.functional) {
          // register for functional component in vue file
          var originalRender = component.render;
          component.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = component.beforeCreate;
          component.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }
    }

    return component;
  }
  /* style inject */
  function __vue_create_injector__$j() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$j.styles || (__vue_create_injector__$j.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aTabPane = __vue_normalize__$j({ render: __vue_render__$j, staticRenderFns: __vue_staticRenderFns__$j }, __vue_inject_styles__$j, __vue_script__$j, __vue_scope_id__$j, __vue_is_functional_template__$j, __vue_module_identifier__$j, __vue_create_injector__$j, undefined);

  /* script */

  /* template */
  var __vue_render__$k = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("div", [_vm._t("nav"), _vm._v(" "), _vm._t("content")], 2);
  };
  var __vue_staticRenderFns__$k = [];
  __vue_render__$k._withStripped = true;

  /* style */
  var __vue_inject_styles__$k = undefined;
  /* scoped */
  var __vue_scope_id__$k = undefined;
  /* module identifier */
  var __vue_module_identifier__$k = undefined;
  /* functional template */
  var __vue_is_functional_template__$k = false;
  /* component normalizer */
  function __vue_normalize__$k(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Tabs/PillsLayout.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    return component;
  }
  /* style inject */
  function __vue_create_injector__$k() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$k.styles || (__vue_create_injector__$k.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var PillsLayout = __vue_normalize__$k({ render: __vue_render__$k, staticRenderFns: __vue_staticRenderFns__$k }, __vue_inject_styles__$k, {}, __vue_scope_id__$k, __vue_is_functional_template__$k, __vue_module_identifier__$k, __vue_create_injector__$k, undefined);

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script$k = {
    name: "a-tabs-layout"
  };

  /* script */
  var __vue_script__$k = script$k;

  /* template */
  var __vue_render__$l = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c("div", [_c("div", { staticClass: "nav-tabs-navigation" }, [_c("div", { staticClass: "nav-tabs-wrapper" }, [_vm._t("nav")], 2)]), _vm._v(" "), _c("div", [_vm._t("content")], 2)]);
  };
  var __vue_staticRenderFns__$l = [];
  __vue_render__$l._withStripped = true;

  /* style */
  var __vue_inject_styles__$l = undefined;
  /* scoped */
  var __vue_scope_id__$l = undefined;
  /* module identifier */
  var __vue_module_identifier__$l = undefined;
  /* functional template */
  var __vue_is_functional_template__$l = false;
  /* component normalizer */
  function __vue_normalize__$l(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Tabs/TabsLayout.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    return component;
  }
  /* style inject */
  function __vue_create_injector__$l() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$l.styles || (__vue_create_injector__$l.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var TabsLayout = __vue_normalize__$l({ render: __vue_render__$l, staticRenderFns: __vue_staticRenderFns__$l }, __vue_inject_styles__$l, __vue_script__$k, __vue_scope_id__$l, __vue_is_functional_template__$l, __vue_module_identifier__$l, __vue_create_injector__$l, undefined);

  //
  var script$l = {
    name: "a-tabs",
    components: {
      TabsLayout: TabsLayout,
      PillsLayout: PillsLayout,
      TabItemContent: {
        props: ["tab"],
        render: function render(h) {
          return h("div", [this.tab.$slots.title || this.tab.title]);
        }
      }
    },
    props: {
      type: {
        type: String,
        default: "",
        validator: function validator(value) {
          var acceptedValues = ["", "primary", "info", "success", "warning", "danger"];
          return acceptedValues.indexOf(value) !== -1;
        },
        description: "Tabs type (primary|info|danger|default|warning|success)"
      },
      pills: {
        type: Boolean,
        default: true,
        description: "Whether tabs are pills"
      },
      circle: {
        type: Boolean,
        default: false,
        description: "Whether tabs are circle"
      },
      fill: {
        type: Boolean,
        default: true,
        description: "Whether to fill each tab"
      },
      activeTab: {
        type: String,
        default: "",
        description: "Default active tab name"
      },
      tabNavWrapperClasses: {
        type: [String, Object],
        default: "",
        description: "Tab Nav wrapper (div) css classes"
      },
      tabNavClasses: {
        type: [String, Object],
        default: "",
        description: "Tab Nav (ul) css classes"
      },
      tabContentClasses: {
        type: [String, Object],
        default: "",
        description: "Tab content css classes"
      },
      icons: {
        type: Boolean,
        description: "Whether tabs should be of icon type (small no text)"
      },
      centered: {
        type: Boolean,
        description: "Whether tabs are centered"
      },
      value: {
        type: String,
        description: "Initial value (active tab)"
      }
    },
    provide: function provide() {
      return {
        addTab: this.addTab,
        removeTab: this.removeTab
      };
    },
    data: function data() {
      return {
        tabs: [],
        activeTabIndex: 0
      };
    },

    computed: {
      layoutComponent: function layoutComponent() {
        return this.pills ? "pills-layout" : "tabs-layout";
      },
      slotData: function slotData() {
        return {
          activeTabIndex: this.activeTabIndex,
          tabs: this.tabs
        };
      }
    },
    methods: {
      findAndActivateTab: function findAndActivateTab(title) {
        var tabToActivate = this.tabs.find(function (t) {
          return t.title === title;
        });
        if (tabToActivate) {
          this.activateTab(tabToActivate);
        }
      },
      activateTab: function activateTab(tab) {
        if (this.handleClick) {
          this.handleClick(tab);
        }
        this.deactivateTabs();
        tab.active = true;
        this.activeTabIndex = this.tabs.findIndex(function (t) {
          return t.active;
        });
      },
      deactivateTabs: function deactivateTabs() {
        this.tabs.forEach(function (tab) {
          tab.active = false;
        });
      },
      addTab: function addTab(tab) {
        if (this.activeTab === tab.name) {
          tab.active = true;
        }
        this.tabs.push(tab);
      },
      removeTab: function removeTab(tab) {
        var tabs = this.tabs;
        var index = tabs.indexOf(tab);
        if (index > -1) {
          tabs.splice(index, 1);
        }
      }
    },
    mounted: function mounted() {
      var _this = this;

      this.$nextTick(function () {
        if (_this.value) {
          _this.findAndActivateTab(_this.value);
        } else {
          if (_this.tabs.length > 0) {
            _this.activateTab(_this.tabs[0]);
          }
        }
      });
    },

    watch: {
      value: function value(newVal) {
        this.findAndActivateTab(newVal);
      }
    }
  };

  /* script */
  var __vue_script__$l = script$l;

  /* template */
  var __vue_render__$m = function __vue_render__() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c(_vm.layoutComponent, { tag: "component" }, [_c("template", { slot: "nav" }, [_c("div", { staticClass: "nav-wrapper" }, [_c("ul", {
      staticClass: "nav",
      class: [_vm.type ? "nav-pills-" + _vm.type : "", _vm.pills ? "nav-pills" : "nav-tabs", { "nav-pills-icons": _vm.icons }, { "nav-fill": _vm.fill }, { "nav-pills-circle": _vm.circle }, { "justify-content-center": _vm.centered }, _vm.tabNavClasses],
      attrs: { role: "tablist" }
    }, _vm._l(_vm.tabs, function (tab) {
      return _c("li", { key: tab.id || tab.title, staticClass: "nav-item" }, [_c("a", {
        staticClass: "nav-link",
        class: { active: tab.active },
        attrs: {
          "data-toggle": "tab",
          role: "tab",
          href: "#" + (tab.id || tab.title),
          "aria-selected": tab.active
        },
        on: {
          click: function click($event) {
            $event.preventDefault();
            _vm.activateTab(tab);
          }
        }
      }, [_c("tab-item-content", { attrs: { tab: tab } })], 1)]);
    }))])]), _vm._v(" "), _c("div", {
      staticClass: "tab-content",
      class: [_vm.tabContentClasses],
      attrs: { slot: "content" },
      slot: "content"
    }, [_vm._t("default", null, null, _vm.slotData)], 2)], 2);
  };
  var __vue_staticRenderFns__$m = [];
  __vue_render__$m._withStripped = true;

  /* style */
  var __vue_inject_styles__$m = undefined;
  /* scoped */
  var __vue_scope_id__$m = undefined;
  /* module identifier */
  var __vue_module_identifier__$m = undefined;
  /* functional template */
  var __vue_is_functional_template__$m = false;
  /* component normalizer */
  function __vue_normalize__$m(template, style, script, scope, functional, moduleIdentifier, createInjector, createInjectorSSR) {
    var component = (typeof script === 'function' ? script.options : script) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "/Users/happytinker/Documents/Work/Work_Steve/Work/asyncy-vue-components/src/components/Tabs/Tabs.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) component.functional = true;
    }

    component._scopeId = scope;

    return component;
  }
  /* style inject */
  function __vue_create_injector__$m() {
    var head = document.head || document.getElementsByTagName('head')[0];
    var styles = __vue_create_injector__$m.styles || (__vue_create_injector__$m.styles = {});
    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

    return function addStyle(id, css) {
      if (document.querySelector('style[data-vue-ssr-id~="' + id + '"]')) return; // SSR styles are present.

      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: [], parts: [], element: undefined });

      if (!style.ids.includes(id)) {
        var code = css.source;
        var index = style.ids.length;

        style.ids.push(id);

        if (isOldIE) {
          style.element = style.element || document.querySelector('style[data-group=' + group + ']');
        }

        if (!style.element) {
          var el = style.element = document.createElement('style');
          el.type = 'text/css';

          if (css.media) el.setAttribute('media', css.media);
          if (isOldIE) {
            el.setAttribute('data-group', group);
            el.setAttribute('data-next-index', '0');
          }

          head.appendChild(el);
        }

        if (isOldIE) {
          index = parseInt(style.element.getAttribute('data-next-index'));
          style.element.setAttribute('data-next-index', index + 1);
        }

        if (style.element.styleSheet) {
          style.parts.push(code);
          style.element.styleSheet.cssText = style.parts.filter(Boolean).join('\n');
        } else {
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) style.element.removeChild(nodes[index]);
          if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
        }
      }
    };
  }
  /* style inject SSR */

  var aTabs = __vue_normalize__$m({ render: __vue_render__$m, staticRenderFns: __vue_staticRenderFns__$m }, __vue_inject_styles__$m, __vue_script__$l, __vue_scope_id__$m, __vue_is_functional_template__$m, __vue_module_identifier__$m, __vue_create_injector__$m, undefined);

  var components$j = {
    aTab: aTab,
    aTabPane: aTabPane,
    aTabs: aTabs,
    aTabsLayout: TabsLayout
  };

  var VuePlugin$i = {
    install: function install(Vue) {
      registerComponents(Vue, components$j);
    }
  };

  vueUse(VuePlugin$i);



  var components$k = /*#__PURE__*/Object.freeze({
    Badge: VuePlugin,
    Alert: VuePlugin$1,
    Button: VuePlugin$2,
    Checkbox: VuePlugin$3,
    CookiesBanner: VuePlugin$4,
    Dropdown: VuePlugin$5,
    Input: VuePlugin$6,
    Nav: VuePlugin$7,
    Pagination: VuePlugin$8,
    Progress: VuePlugin$9,
    Radio: VuePlugin$a,
    Slider: VuePlugin$b,
    Switch: VuePlugin$c,
    Card: VuePlugin$d,
    CloseButton: VuePlugin$e,
    Icon: VuePlugin$f,
    Modal: VuePlugin$g,
    NavbarToggleButton: VuePlugin$h,
    Tabs: VuePlugin$i
  });

  var ClickOutside = {
    bind: function bind(el, binding, vnode) {
      el.clickOutsideEvent = function (event) {
        // here I check that click was outside the el and his childrens
        if (!(el === event.target || el.contains(event.target))) {
          // and if it did, call method provided in attribute value
          vnode.context[binding.expression](event);
        }
      };
      document.body.addEventListener('click', el.clickOutsideEvent);
    },
    unbind: function unbind(el) {
      document.body.removeEventListener('click', el.clickOutsideEvent);
    }
  };

  var directives = {
    ClickOutside: ClickOutside
  };

  var VuePlugin$j = {
    install: function install(Vue) {
      registerDirectives(Vue, directives);
    }
  };

  vueUse(VuePlugin$j);



  var directives$1 = /*#__PURE__*/Object.freeze({
    ClickOutside: VuePlugin$j
  });

  var VuePlugin$k = {
    install: function install(Vue) {
      if (Vue._asyncy_vue_installed) {
        return;
      }

      Vue._asyncy_vue_installed = true;

      // Register component plugins
      for (var plugin in components$k) {
        Vue.use(components$k[plugin]);
      }

      // Register directive plugins
      for (var _plugin in directives$1) {
        Vue.use(directives$1[_plugin]);
      }

      Vue.use(VueLazyload);
    }
  };

  vueUse(VuePlugin$k);

  return VuePlugin$k;

})));
//# sourceMappingURL=asyncy-vue-components.js.map
